
_interrupt:

;Gps.c,114 :: 		void interrupt()
;Gps.c,121 :: 		if (( nLF > 0 ) && ( bMsgReady == false ))
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       _nLF+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt127
	MOVF        _nLF+0, 0 
	SUBLW       0
L__interrupt127:
	BTFSC       STATUS+0, 0 
	GOTO        L_interrupt2
	MOVF        _bMsgReady+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt2
L__interrupt118:
;Gps.c,123 :: 		j = 0;
	CLRF        interrupt_j_L0+0 
	CLRF        interrupt_j_L0+1 
;Gps.c,124 :: 		nLF--;
	MOVLW       1
	SUBWF       _nLF+0, 1 
	MOVLW       0
	SUBWFB      _nLF+1, 1 
;Gps.c,125 :: 		bMsgReady = true;
	MOVLW       1
	MOVWF       _bMsgReady+0 
;Gps.c,126 :: 		while ( 1 )
L_interrupt3:
;Gps.c,128 :: 		cRead = msg[j] = buffer[iRead];
	MOVLW       _msg+0
	ADDWF       interrupt_j_L0+0, 0 
	MOVWF       R0 
	MOVLW       hi_addr(_msg+0)
	ADDWFC      interrupt_j_L0+1, 0 
	MOVWF       R1 
	MOVLW       _buffer+0
	ADDWF       _iRead+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_buffer+0)
	ADDWFC      _iRead+1, 0 
	MOVWF       FSR0H 
	MOVFF       R0, FSR1
	MOVFF       R1, FSR1H
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVFF       R0, FSR0
	MOVFF       R1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       interrupt_cRead_L0+0 
;Gps.c,129 :: 		iRead++;
	INFSNZ      _iRead+0, 1 
	INCF        _iRead+1, 1 
;Gps.c,130 :: 		nBytes--;
	MOVLW       1
	SUBWF       _nBytes+0, 1 
	MOVLW       0
	SUBWFB      _nBytes+1, 1 
;Gps.c,131 :: 		if ( iRead == BUFFER_SIZE )
	MOVF        _iRead+1, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt128
	MOVLW       0
	XORWF       _iRead+0, 0 
L__interrupt128:
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt5
;Gps.c,132 :: 		iRead = 0;
	CLRF        _iRead+0 
	CLRF        _iRead+1 
L_interrupt5:
;Gps.c,133 :: 		if ( bMsgReady == true )
	MOVF        _bMsgReady+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt6
;Gps.c,135 :: 		j++;
	INFSNZ      interrupt_j_L0+0, 1 
	INCF        interrupt_j_L0+1, 1 
;Gps.c,136 :: 		if ( j == MSG_SIZE )
	MOVLW       0
	XORWF       interrupt_j_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt129
	MOVLW       128
	XORWF       interrupt_j_L0+0, 0 
L__interrupt129:
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt7
;Gps.c,137 :: 		bMsgReady = false;
	CLRF        _bMsgReady+0 
L_interrupt7:
;Gps.c,138 :: 		}
L_interrupt6:
;Gps.c,139 :: 		if ( cRead == 10 )
	MOVF        interrupt_cRead_L0+0, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt8
;Gps.c,140 :: 		break;
	GOTO        L_interrupt4
L_interrupt8:
;Gps.c,141 :: 		}
	GOTO        L_interrupt3
L_interrupt4:
;Gps.c,142 :: 		}
L_interrupt2:
;Gps.c,146 :: 		if (TMR0IF_bit)
	BTFSS       TMR0IF_bit+0, 2 
	GOTO        L_interrupt9
;Gps.c,148 :: 		cntTop++;
	INFSNZ      _cntTop+0, 1 
	INCF        _cntTop+1, 1 
;Gps.c,149 :: 		if ( cntTop > 100 )
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       _cntTop+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt130
	MOVF        _cntTop+0, 0 
	SUBLW       100
L__interrupt130:
	BTFSC       STATUS+0, 0 
	GOTO        L_interrupt10
;Gps.c,152 :: 		top = 1;
	MOVLW       1
	MOVWF       _top+0 
;Gps.c,153 :: 		cntTop = 0;
	CLRF        _cntTop+0 
	CLRF        _cntTop+1 
;Gps.c,154 :: 		}
L_interrupt10:
;Gps.c,155 :: 		TMR0H = 0x15;
	MOVLW       21
	MOVWF       TMR0H+0 
;Gps.c,156 :: 		TMR0L = 0x9e;
	MOVLW       158
	MOVWF       TMR0L+0 
;Gps.c,157 :: 		TMR0IF_bit = 0;
	BCF         TMR0IF_bit+0, 2 
;Gps.c,158 :: 		}
L_interrupt9:
;Gps.c,162 :: 		if (RCIF_bit == 1)
	BTFSS       RCIF_bit+0, 5 
	GOTO        L_interrupt11
;Gps.c,164 :: 		cRead = UART1_Read();
	CALL        _UART1_Read+0, 0
	MOVF        R0, 0 
	MOVWF       interrupt_cRead_L0+0 
;Gps.c,165 :: 		if ( nBytes == BUFFER_SIZE )
	MOVF        _nBytes+1, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt131
	MOVLW       0
	XORWF       _nBytes+0, 0 
L__interrupt131:
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt12
;Gps.c,169 :: 		iRead = 0;
	CLRF        _iRead+0 
	CLRF        _iRead+1 
;Gps.c,170 :: 		iWrite = 0;
	CLRF        _iWrite+0 
	CLRF        _iWrite+1 
;Gps.c,171 :: 		nBytes = 0;
	CLRF        _nBytes+0 
	CLRF        _nBytes+1 
;Gps.c,172 :: 		nLF = 0;
	CLRF        _nLF+0 
	CLRF        _nLF+1 
;Gps.c,173 :: 		bMsgReady = false;
	CLRF        _bMsgReady+0 
;Gps.c,174 :: 		}
	GOTO        L_interrupt13
L_interrupt12:
;Gps.c,177 :: 		buffer[iWrite] = cRead;
	MOVLW       _buffer+0
	ADDWF       _iWrite+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_buffer+0)
	ADDWFC      _iWrite+1, 0 
	MOVWF       FSR1H 
	MOVF        interrupt_cRead_L0+0, 0 
	MOVWF       POSTINC1+0 
;Gps.c,178 :: 		iWrite++;
	INFSNZ      _iWrite+0, 1 
	INCF        _iWrite+1, 1 
;Gps.c,179 :: 		nBytes++;
	INFSNZ      _nBytes+0, 1 
	INCF        _nBytes+1, 1 
;Gps.c,180 :: 		if ( iWrite == BUFFER_SIZE )
	MOVF        _iWrite+1, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt132
	MOVLW       0
	XORWF       _iWrite+0, 0 
L__interrupt132:
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt14
;Gps.c,181 :: 		iWrite = 0;
	CLRF        _iWrite+0 
	CLRF        _iWrite+1 
L_interrupt14:
;Gps.c,183 :: 		if ( cRead == 10 )
	MOVF        interrupt_cRead_L0+0, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt15
;Gps.c,184 :: 		nLF++;
	INFSNZ      _nLF+0, 1 
	INCF        _nLF+1, 1 
L_interrupt15:
;Gps.c,185 :: 		}
L_interrupt13:
;Gps.c,186 :: 		RCIF_bit = 0;
	BCF         RCIF_bit+0, 5 
;Gps.c,187 :: 		}
L_interrupt11:
;Gps.c,188 :: 		}
L_end_interrupt:
L__interrupt126:
	RETFIE      1
; end of _interrupt

_Init:

;Gps.c,192 :: 		void Init()
;Gps.c,195 :: 		PLLEN_bit = 1;
	BSF         PLLEN_bit+0, 6 
;Gps.c,196 :: 		Delay_ms(150);
	MOVLW       10
	MOVWF       R11, 0
	MOVLW       34
	MOVWF       R12, 0
	MOVLW       161
	MOVWF       R13, 0
L_Init16:
	DECFSZ      R13, 1, 1
	BRA         L_Init16
	DECFSZ      R12, 1, 1
	BRA         L_Init16
	DECFSZ      R11, 1, 1
	BRA         L_Init16
;Gps.c,198 :: 		ANCON0 = 0xF0;
	MOVLW       240
	MOVWF       ANCON0+0 
;Gps.c,199 :: 		ADSHR_bit  = 1;
	BSF         ADSHR_bit+0, 4 
;Gps.c,200 :: 		ANCON1  = 0xFF;
	MOVLW       255
	MOVWF       ANCON1+0 
;Gps.c,201 :: 		ADSHR_bit  = 0;
	BCF         ADSHR_bit+0, 4 
;Gps.c,203 :: 		CM1CON  = 0;
	CLRF        CM1CON+0 
;Gps.c,204 :: 		CM2CON  = 0;
	CLRF        CM2CON+0 
;Gps.c,208 :: 		T0CON = 0x80;
	MOVLW       128
	MOVWF       T0CON+0 
;Gps.c,209 :: 		TMR0H = 0x15;
	MOVLW       21
	MOVWF       TMR0H+0 
;Gps.c,210 :: 		TMR0L = 0x9e;
	MOVLW       158
	MOVWF       TMR0L+0 
;Gps.c,211 :: 		TMR0IE_bit         = 1;
	BSF         TMR0IE_bit+0, 5 
;Gps.c,213 :: 		TRISF7_bit = 0;
	BCF         TRISF7_bit+0, 7 
;Gps.c,214 :: 		LATF7_bit = 1;
	BSF         LATF7_bit+0, 7 
;Gps.c,216 :: 		ADC_Init();
	CALL        _ADC_Init+0, 0
;Gps.c,217 :: 		TFT_Init(320, 240);
	MOVLW       64
	MOVWF       FARG_TFT_Init_display_width+0 
	MOVLW       1
	MOVWF       FARG_TFT_Init_display_width+1 
	MOVLW       240
	MOVWF       FARG_TFT_Init_display_height+0 
	MOVLW       0
	MOVWF       FARG_TFT_Init_display_height+1 
	CALL        _TFT_Init+0, 0
;Gps.c,218 :: 		TP_TFT_Init(320, 240, 0, 1);
	MOVLW       64
	MOVWF       FARG_TP_TFT_Init_display_width+0 
	MOVLW       1
	MOVWF       FARG_TP_TFT_Init_display_width+1 
	MOVLW       240
	MOVWF       FARG_TP_TFT_Init_display_height+0 
	MOVLW       0
	MOVWF       FARG_TP_TFT_Init_display_height+1 
	CLRF        FARG_TP_TFT_Init_readX_ChNo+0 
	MOVLW       1
	MOVWF       FARG_TP_TFT_Init_readY_ChNo+0 
	CALL        _TP_TFT_Init+0, 0
;Gps.c,219 :: 		TP_TFT_Set_ADC_Threshold(900);
	MOVLW       132
	MOVWF       FARG_TP_TFT_Set_ADC_Threshold_threshold+0 
	MOVLW       3
	MOVWF       FARG_TP_TFT_Set_ADC_Threshold_threshold+1 
	CALL        _TP_TFT_Set_ADC_Threshold+0, 0
;Gps.c,220 :: 		TFT_Fill_Screen(CL_BLACK);
	CLRF        FARG_TFT_Fill_Screen_color+0 
	CLRF        FARG_TFT_Fill_Screen_color+1 
	CALL        _TFT_Fill_Screen+0, 0
;Gps.c,222 :: 		RC1IE_bit = 1;
	BSF         RC1IE_bit+0, 5 
;Gps.c,223 :: 		GIE_bit = 1;
	BSF         GIE_bit+0, 7 
;Gps.c,224 :: 		PEIE_bit = 1;
	BSF         PEIE_bit+0, 6 
;Gps.c,226 :: 		}
L_end_Init:
	RETURN      0
; end of _Init

_Calibrate:

;Gps.c,230 :: 		void Calibrate()
;Gps.c,232 :: 		TFT_Fill_Screen(CL_BLACK);
	CLRF        FARG_TFT_Fill_Screen_color+0 
	CLRF        FARG_TFT_Fill_Screen_color+1 
	CALL        _TFT_Fill_Screen+0, 0
;Gps.c,233 :: 		TFT_Set_Pen(CL_WHITE, 3);
	MOVLW       255
	MOVWF       FARG_TFT_Set_Pen_pen_color+0 
	MOVLW       255
	MOVWF       FARG_TFT_Set_Pen_pen_color+1 
	MOVLW       3
	MOVWF       FARG_TFT_Set_Pen_pen_width+0 
	CALL        _TFT_Set_Pen+0, 0
;Gps.c,234 :: 		TFT_Set_Font(TFT_defaultFont, CL_WHITE, FO_HORIZONTAL);
	MOVLW       _TFT_defaultFont+0
	MOVWF       FARG_TFT_Set_Font_activeFont+0 
	MOVLW       hi_addr(_TFT_defaultFont+0)
	MOVWF       FARG_TFT_Set_Font_activeFont+1 
	MOVLW       higher_addr(_TFT_defaultFont+0)
	MOVWF       FARG_TFT_Set_Font_activeFont+2 
	MOVLW       255
	MOVWF       FARG_TFT_Set_Font_font_color+0 
	MOVLW       255
	MOVWF       FARG_TFT_Set_Font_font_color+1 
	CLRF        FARG_TFT_Set_Font_font_orientation+0 
	CALL        _TFT_Set_Font+0, 0
;Gps.c,235 :: 		TFT_Write_Text("Calibration touchez d'abord", 70, 100);
	MOVLW       ?lstr1_Gps+0
	MOVWF       FARG_TFT_Write_Text_text+0 
	MOVLW       hi_addr(?lstr1_Gps+0)
	MOVWF       FARG_TFT_Write_Text_text+1 
	MOVLW       70
	MOVWF       FARG_TFT_Write_Text_x+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_x+1 
	MOVLW       100
	MOVWF       FARG_TFT_Write_Text_y+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_y+1 
	CALL        _TFT_Write_Text+0, 0
;Gps.c,236 :: 		TFT_Line(315, 1, 319, 1);
	MOVLW       59
	MOVWF       FARG_TFT_Line_x1+0 
	MOVLW       1
	MOVWF       FARG_TFT_Line_x1+1 
	MOVLW       1
	MOVWF       FARG_TFT_Line_y1+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y1+1 
	MOVLW       63
	MOVWF       FARG_TFT_Line_x2+0 
	MOVLW       1
	MOVWF       FARG_TFT_Line_x2+1 
	MOVLW       1
	MOVWF       FARG_TFT_Line_y2+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y2+1 
	CALL        _TFT_Line+0, 0
;Gps.c,237 :: 		TFT_Line(310, 10, 319, 1);
	MOVLW       54
	MOVWF       FARG_TFT_Line_x1+0 
	MOVLW       1
	MOVWF       FARG_TFT_Line_x1+1 
	MOVLW       10
	MOVWF       FARG_TFT_Line_y1+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y1+1 
	MOVLW       63
	MOVWF       FARG_TFT_Line_x2+0 
	MOVLW       1
	MOVWF       FARG_TFT_Line_x2+1 
	MOVLW       1
	MOVWF       FARG_TFT_Line_y2+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y2+1 
	CALL        _TFT_Line+0, 0
;Gps.c,238 :: 		TFT_Line(319, 5, 319, 1);
	MOVLW       63
	MOVWF       FARG_TFT_Line_x1+0 
	MOVLW       1
	MOVWF       FARG_TFT_Line_x1+1 
	MOVLW       5
	MOVWF       FARG_TFT_Line_y1+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y1+1 
	MOVLW       63
	MOVWF       FARG_TFT_Line_x2+0 
	MOVLW       1
	MOVWF       FARG_TFT_Line_x2+1 
	MOVLW       1
	MOVWF       FARG_TFT_Line_y2+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y2+1 
	CALL        _TFT_Line+0, 0
;Gps.c,239 :: 		TFT_Write_Text("ici", 290, 20);
	MOVLW       ?lstr2_Gps+0
	MOVWF       FARG_TFT_Write_Text_text+0 
	MOVLW       hi_addr(?lstr2_Gps+0)
	MOVWF       FARG_TFT_Write_Text_text+1 
	MOVLW       34
	MOVWF       FARG_TFT_Write_Text_x+0 
	MOVLW       1
	MOVWF       FARG_TFT_Write_Text_x+1 
	MOVLW       20
	MOVWF       FARG_TFT_Write_Text_y+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_y+1 
	CALL        _TFT_Write_Text+0, 0
;Gps.c,241 :: 		TP_TFT_Calibrate_Min();
	CALL        _TP_TFT_Calibrate_Min+0, 0
;Gps.c,242 :: 		Delay_ms(500);
	MOVLW       31
	MOVWF       R11, 0
	MOVLW       113
	MOVWF       R12, 0
	MOVLW       30
	MOVWF       R13, 0
L_Calibrate17:
	DECFSZ      R13, 1, 1
	BRA         L_Calibrate17
	DECFSZ      R12, 1, 1
	BRA         L_Calibrate17
	DECFSZ      R11, 1, 1
	BRA         L_Calibrate17
	NOP
;Gps.c,244 :: 		TFT_Set_Pen(CL_BLACK, 3);
	CLRF        FARG_TFT_Set_Pen_pen_color+0 
	CLRF        FARG_TFT_Set_Pen_pen_color+1 
	MOVLW       3
	MOVWF       FARG_TFT_Set_Pen_pen_width+0 
	CALL        _TFT_Set_Pen+0, 0
;Gps.c,245 :: 		TFT_Set_Font(TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
	MOVLW       _TFT_defaultFont+0
	MOVWF       FARG_TFT_Set_Font_activeFont+0 
	MOVLW       hi_addr(_TFT_defaultFont+0)
	MOVWF       FARG_TFT_Set_Font_activeFont+1 
	MOVLW       higher_addr(_TFT_defaultFont+0)
	MOVWF       FARG_TFT_Set_Font_activeFont+2 
	CLRF        FARG_TFT_Set_Font_font_color+0 
	CLRF        FARG_TFT_Set_Font_font_color+1 
	CLRF        FARG_TFT_Set_Font_font_orientation+0 
	CALL        _TFT_Set_Font+0, 0
;Gps.c,246 :: 		TFT_Line(315, 1, 319, 1);
	MOVLW       59
	MOVWF       FARG_TFT_Line_x1+0 
	MOVLW       1
	MOVWF       FARG_TFT_Line_x1+1 
	MOVLW       1
	MOVWF       FARG_TFT_Line_y1+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y1+1 
	MOVLW       63
	MOVWF       FARG_TFT_Line_x2+0 
	MOVLW       1
	MOVWF       FARG_TFT_Line_x2+1 
	MOVLW       1
	MOVWF       FARG_TFT_Line_y2+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y2+1 
	CALL        _TFT_Line+0, 0
;Gps.c,247 :: 		TFT_Line(310, 10, 319, 1);
	MOVLW       54
	MOVWF       FARG_TFT_Line_x1+0 
	MOVLW       1
	MOVWF       FARG_TFT_Line_x1+1 
	MOVLW       10
	MOVWF       FARG_TFT_Line_y1+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y1+1 
	MOVLW       63
	MOVWF       FARG_TFT_Line_x2+0 
	MOVLW       1
	MOVWF       FARG_TFT_Line_x2+1 
	MOVLW       1
	MOVWF       FARG_TFT_Line_y2+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y2+1 
	CALL        _TFT_Line+0, 0
;Gps.c,248 :: 		TFT_Line(319, 5, 319, 1);
	MOVLW       63
	MOVWF       FARG_TFT_Line_x1+0 
	MOVLW       1
	MOVWF       FARG_TFT_Line_x1+1 
	MOVLW       5
	MOVWF       FARG_TFT_Line_y1+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y1+1 
	MOVLW       63
	MOVWF       FARG_TFT_Line_x2+0 
	MOVLW       1
	MOVWF       FARG_TFT_Line_x2+1 
	MOVLW       1
	MOVWF       FARG_TFT_Line_y2+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y2+1 
	CALL        _TFT_Line+0, 0
;Gps.c,249 :: 		TFT_Write_Text("ici", 290, 20);
	MOVLW       ?lstr3_Gps+0
	MOVWF       FARG_TFT_Write_Text_text+0 
	MOVLW       hi_addr(?lstr3_Gps+0)
	MOVWF       FARG_TFT_Write_Text_text+1 
	MOVLW       34
	MOVWF       FARG_TFT_Write_Text_x+0 
	MOVLW       1
	MOVWF       FARG_TFT_Write_Text_x+1 
	MOVLW       20
	MOVWF       FARG_TFT_Write_Text_y+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_y+1 
	CALL        _TFT_Write_Text+0, 0
;Gps.c,251 :: 		TFT_Set_Pen(CL_WHITE, 3);
	MOVLW       255
	MOVWF       FARG_TFT_Set_Pen_pen_color+0 
	MOVLW       255
	MOVWF       FARG_TFT_Set_Pen_pen_color+1 
	MOVLW       3
	MOVWF       FARG_TFT_Set_Pen_pen_width+0 
	CALL        _TFT_Set_Pen+0, 0
;Gps.c,252 :: 		TFT_Set_Font(TFT_defaultFont, CL_WHITE, FO_HORIZONTAL);
	MOVLW       _TFT_defaultFont+0
	MOVWF       FARG_TFT_Set_Font_activeFont+0 
	MOVLW       hi_addr(_TFT_defaultFont+0)
	MOVWF       FARG_TFT_Set_Font_activeFont+1 
	MOVLW       higher_addr(_TFT_defaultFont+0)
	MOVWF       FARG_TFT_Set_Font_activeFont+2 
	MOVLW       255
	MOVWF       FARG_TFT_Set_Font_font_color+0 
	MOVLW       255
	MOVWF       FARG_TFT_Set_Font_font_color+1 
	CLRF        FARG_TFT_Set_Font_font_orientation+0 
	CALL        _TFT_Set_Font+0, 0
;Gps.c,253 :: 		TFT_Line(0, 239, 0, 235);
	CLRF        FARG_TFT_Line_x1+0 
	CLRF        FARG_TFT_Line_x1+1 
	MOVLW       239
	MOVWF       FARG_TFT_Line_y1+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y1+1 
	CLRF        FARG_TFT_Line_x2+0 
	CLRF        FARG_TFT_Line_x2+1 
	MOVLW       235
	MOVWF       FARG_TFT_Line_y2+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y2+1 
	CALL        _TFT_Line+0, 0
;Gps.c,254 :: 		TFT_Line(0, 239, 5, 239);
	CLRF        FARG_TFT_Line_x1+0 
	CLRF        FARG_TFT_Line_x1+1 
	MOVLW       239
	MOVWF       FARG_TFT_Line_y1+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y1+1 
	MOVLW       5
	MOVWF       FARG_TFT_Line_x2+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_x2+1 
	MOVLW       239
	MOVWF       FARG_TFT_Line_y2+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y2+1 
	CALL        _TFT_Line+0, 0
;Gps.c,255 :: 		TFT_Line(0, 239, 10, 229);
	CLRF        FARG_TFT_Line_x1+0 
	CLRF        FARG_TFT_Line_x1+1 
	MOVLW       239
	MOVWF       FARG_TFT_Line_y1+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y1+1 
	MOVLW       10
	MOVWF       FARG_TFT_Line_x2+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_x2+1 
	MOVLW       229
	MOVWF       FARG_TFT_Line_y2+0 
	MOVLW       0
	MOVWF       FARG_TFT_Line_y2+1 
	CALL        _TFT_Line+0, 0
;Gps.c,256 :: 		TFT_Write_Text("puis ici ", 15, 200);
	MOVLW       ?lstr4_Gps+0
	MOVWF       FARG_TFT_Write_Text_text+0 
	MOVLW       hi_addr(?lstr4_Gps+0)
	MOVWF       FARG_TFT_Write_Text_text+1 
	MOVLW       15
	MOVWF       FARG_TFT_Write_Text_x+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_x+1 
	MOVLW       200
	MOVWF       FARG_TFT_Write_Text_y+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_y+1 
	CALL        _TFT_Write_Text+0, 0
;Gps.c,258 :: 		TP_TFT_Calibrate_Max();
	CALL        _TP_TFT_Calibrate_Max+0, 0
;Gps.c,259 :: 		Delay_ms(500);
	MOVLW       31
	MOVWF       R11, 0
	MOVLW       113
	MOVWF       R12, 0
	MOVLW       30
	MOVWF       R13, 0
L_Calibrate18:
	DECFSZ      R13, 1, 1
	BRA         L_Calibrate18
	DECFSZ      R12, 1, 1
	BRA         L_Calibrate18
	DECFSZ      R11, 1, 1
	BRA         L_Calibrate18
	NOP
;Gps.c,261 :: 		}
L_end_Calibrate:
	RETURN      0
; end of _Calibrate

_DisplayScreen:

;Gps.c,265 :: 		void DisplayScreen()
;Gps.c,268 :: 		TFT_Set_Font(Tahoma12x15, CL_WHITE, FO_HORIZONTAL);
	MOVLW       _Tahoma12x15+0
	MOVWF       FARG_TFT_Set_Font_activeFont+0 
	MOVLW       hi_addr(_Tahoma12x15+0)
	MOVWF       FARG_TFT_Set_Font_activeFont+1 
	MOVLW       higher_addr(_Tahoma12x15+0)
	MOVWF       FARG_TFT_Set_Font_activeFont+2 
	MOVLW       255
	MOVWF       FARG_TFT_Set_Font_font_color+0 
	MOVLW       255
	MOVWF       FARG_TFT_Set_Font_font_color+1 
	CLRF        FARG_TFT_Set_Font_font_orientation+0 
	CALL        _TFT_Set_Font+0, 0
;Gps.c,270 :: 		TFT_Set_Brush(1, CL_BLACK, 0, LEFT_TO_RIGHT, CL_BLACK, CL_BLACK);
	MOVLW       1
	MOVWF       FARG_TFT_Set_Brush_brush_enabled+0 
	CLRF        FARG_TFT_Set_Brush_brush_color+0 
	CLRF        FARG_TFT_Set_Brush_brush_color+1 
	CLRF        FARG_TFT_Set_Brush_gradient_enabled+0 
	MOVLW       1
	MOVWF       FARG_TFT_Set_Brush_gradient_orientation+0 
	CLRF        FARG_TFT_Set_Brush_gradient_color_from+0 
	CLRF        FARG_TFT_Set_Brush_gradient_color_from+1 
	CLRF        FARG_TFT_Set_Brush_gradient_color_to+0 
	CLRF        FARG_TFT_Set_Brush_gradient_color_to+1 
	CALL        _TFT_Set_Brush+0, 0
;Gps.c,271 :: 		TFT_Set_Pen(CL_BLACK, 1);
	CLRF        FARG_TFT_Set_Pen_pen_color+0 
	CLRF        FARG_TFT_Set_Pen_pen_color+1 
	MOVLW       1
	MOVWF       FARG_TFT_Set_Pen_pen_width+0 
	CALL        _TFT_Set_Pen+0, 0
;Gps.c,272 :: 		TFT_Rectangle(0, 0, 319, 239);
	CLRF        FARG_TFT_Rectangle_x_upper_left+0 
	CLRF        FARG_TFT_Rectangle_x_upper_left+1 
	CLRF        FARG_TFT_Rectangle_y_upper_left+0 
	CLRF        FARG_TFT_Rectangle_y_upper_left+1 
	MOVLW       63
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+1 
	MOVLW       239
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+1 
	CALL        _TFT_Rectangle+0, 0
;Gps.c,274 :: 		TFT_Image(X_GPX_MIN, Y_GPX_MIN, GPX_Start, 1);
	MOVLW       129
	MOVWF       FARG_TFT_Image_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Image_left+1 
	MOVLW       89
	MOVWF       FARG_TFT_Image_top+0 
	MOVLW       0
	MOVWF       FARG_TFT_Image_top+1 
	MOVLW       _GPX_Start+0
	MOVWF       FARG_TFT_Image_image+0 
	MOVLW       hi_addr(_GPX_Start+0)
	MOVWF       FARG_TFT_Image_image+1 
	MOVLW       higher_addr(_GPX_Start+0)
	MOVWF       FARG_TFT_Image_image+2 
	MOVLW       1
	MOVWF       FARG_TFT_Image_stretch+0 
	CALL        _TFT_Image+0, 0
;Gps.c,276 :: 		}
L_end_DisplayScreen:
	RETURN      0
; end of _DisplayScreen

_DecoderHex:

;Gps.c,280 :: 		int DecoderHex(unsigned char hex)
;Gps.c,282 :: 		if ((hex >= '0' ) && ( hex <= '9'))
	MOVLW       48
	SUBWF       FARG_DecoderHex_hex+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_DecoderHex21
	MOVF        FARG_DecoderHex_hex+0, 0 
	SUBLW       57
	BTFSS       STATUS+0, 0 
	GOTO        L_DecoderHex21
L__DecoderHex121:
;Gps.c,283 :: 		return hex-'0';
	MOVLW       48
	SUBWF       FARG_DecoderHex_hex+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	GOTO        L_end_DecoderHex
L_DecoderHex21:
;Gps.c,284 :: 		if ((hex >= 'A' ) && ( hex <= 'F'))
	MOVLW       65
	SUBWF       FARG_DecoderHex_hex+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_DecoderHex24
	MOVF        FARG_DecoderHex_hex+0, 0 
	SUBLW       70
	BTFSS       STATUS+0, 0 
	GOTO        L_DecoderHex24
L__DecoderHex120:
;Gps.c,285 :: 		return hex-'A'+10;
	MOVLW       65
	SUBWF       FARG_DecoderHex_hex+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       10
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
	GOTO        L_end_DecoderHex
L_DecoderHex24:
;Gps.c,286 :: 		if ((hex >= 'a' ) && ( hex <= 'f'))
	MOVLW       97
	SUBWF       FARG_DecoderHex_hex+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_DecoderHex27
	MOVF        FARG_DecoderHex_hex+0, 0 
	SUBLW       102
	BTFSS       STATUS+0, 0 
	GOTO        L_DecoderHex27
L__DecoderHex119:
;Gps.c,287 :: 		return hex-'a'+10;
	MOVLW       97
	SUBWF       FARG_DecoderHex_hex+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       10
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
	GOTO        L_end_DecoderHex
L_DecoderHex27:
;Gps.c,289 :: 		return 255;
	MOVLW       255
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
;Gps.c,291 :: 		}
L_end_DecoderHex:
	RETURN      0
; end of _DecoderHex

_ProcessLongitude:

;Gps.c,295 :: 		void ProcessLongitude(unsigned char* pPar1, unsigned char* pPar2)
;Gps.c,299 :: 		strncpy(longitude, pPar1, 10);
	MOVLW       _longitude+0
	MOVWF       FARG_strncpy_to+0 
	MOVLW       hi_addr(_longitude+0)
	MOVWF       FARG_strncpy_to+1 
	MOVF        FARG_ProcessLongitude_pPar1+0, 0 
	MOVWF       FARG_strncpy_from+0 
	MOVF        FARG_ProcessLongitude_pPar1+1, 0 
	MOVWF       FARG_strncpy_from+1 
	MOVLW       10
	MOVWF       FARG_strncpy_size+0 
	MOVLW       0
	MOVWF       FARG_strncpy_size+1 
	CALL        _strncpy+0, 0
;Gps.c,300 :: 		if (strlen(longitude) != 10 )
	MOVLW       _longitude+0
	MOVWF       FARG_strlen_s+0 
	MOVLW       hi_addr(_longitude+0)
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessLongitude138
	MOVLW       10
	XORWF       R0, 0 
L__ProcessLongitude138:
	BTFSC       STATUS+0, 2 
	GOTO        L_ProcessLongitude28
;Gps.c,301 :: 		return;
	GOTO        L_end_ProcessLongitude
L_ProcessLongitude28:
;Gps.c,303 :: 		intLon = (longitude[0] - '0') * 100 + (longitude[1] - '0') * 10 + longitude[2] - '0';
	MOVLW       48
	SUBWF       _longitude+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__ProcessLongitude+0 
	MOVF        R1, 0 
	MOVWF       FLOC__ProcessLongitude+1 
	MOVLW       48
	SUBWF       _longitude+1, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        R0, 0 
	ADDWF       FLOC__ProcessLongitude+0, 0 
	MOVWF       _intLon+0 
	MOVF        R1, 0 
	ADDWFC      FLOC__ProcessLongitude+1, 0 
	MOVWF       _intLon+1 
	MOVF        _longitude+2, 0 
	ADDWF       _intLon+0, 1 
	MOVLW       0
	ADDWFC      _intLon+1, 1 
	MOVLW       48
	SUBWF       _intLon+0, 1 
	MOVLW       0
	SUBWFB      _intLon+1, 1 
;Gps.c,304 :: 		if(*pPar2 == 'W')
	MOVFF       FARG_ProcessLongitude_pPar2+0, FSR0
	MOVFF       FARG_ProcessLongitude_pPar2+1, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       87
	BTFSS       STATUS+0, 2 
	GOTO        L_ProcessLongitude29
;Gps.c,306 :: 		intLon = 0 - intLon;
	MOVF        _intLon+0, 0 
	SUBLW       0
	MOVWF       _intLon+0 
	MOVF        _intLon+1, 0 
	MOVWF       _intLon+1 
	MOVLW       0
	SUBFWB      _intLon+1, 1 
;Gps.c,307 :: 		}
L_ProcessLongitude29:
;Gps.c,309 :: 		decLon = 0;
	CLRF        _decLon+0 
	CLRF        _decLon+1 
	CLRF        _decLon+2 
	CLRF        _decLon+3 
;Gps.c,310 :: 		for (i=3;i<10;i++)
	MOVLW       3
	MOVWF       ProcessLongitude_i_L0+0 
	MOVLW       0
	MOVWF       ProcessLongitude_i_L0+1 
L_ProcessLongitude30:
	MOVLW       128
	XORWF       ProcessLongitude_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessLongitude139
	MOVLW       10
	SUBWF       ProcessLongitude_i_L0+0, 0 
L__ProcessLongitude139:
	BTFSC       STATUS+0, 0 
	GOTO        L_ProcessLongitude31
;Gps.c,312 :: 		if ( longitude[i] != '.' )
	MOVLW       _longitude+0
	ADDWF       ProcessLongitude_i_L0+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_longitude+0)
	ADDWFC      ProcessLongitude_i_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       46
	BTFSC       STATUS+0, 2 
	GOTO        L_ProcessLongitude33
;Gps.c,314 :: 		decLon = decLon * 10 + longitude[i] - '0';
	MOVF        _decLon+0, 0 
	MOVWF       R0 
	MOVF        _decLon+1, 0 
	MOVWF       R1 
	MOVF        _decLon+2, 0 
	MOVWF       R2 
	MOVF        _decLon+3, 0 
	MOVWF       R3 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVLW       _longitude+0
	ADDWF       ProcessLongitude_i_L0+0, 0 
	MOVWF       FSR2 
	MOVLW       hi_addr(_longitude+0)
	ADDWFC      ProcessLongitude_i_L0+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	ADDWF       R0, 0 
	MOVWF       _decLon+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       _decLon+1 
	MOVLW       0
	ADDWFC      R2, 0 
	MOVWF       _decLon+2 
	MOVLW       0
	ADDWFC      R3, 0 
	MOVWF       _decLon+3 
	MOVLW       48
	SUBWF       _decLon+0, 1 
	MOVLW       0
	SUBWFB      _decLon+1, 1 
	SUBWFB      _decLon+2, 1 
	SUBWFB      _decLon+3, 1 
;Gps.c,315 :: 		}
L_ProcessLongitude33:
;Gps.c,310 :: 		for (i=3;i<10;i++)
	INFSNZ      ProcessLongitude_i_L0+0, 1 
	INCF        ProcessLongitude_i_L0+1, 1 
;Gps.c,316 :: 		}
	GOTO        L_ProcessLongitude30
L_ProcessLongitude31:
;Gps.c,318 :: 		decLon = decLon * 10;
	MOVF        _decLon+0, 0 
	MOVWF       R0 
	MOVF        _decLon+1, 0 
	MOVWF       R1 
	MOVF        _decLon+2, 0 
	MOVWF       R2 
	MOVF        _decLon+3, 0 
	MOVWF       R3 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _decLon+0 
	MOVF        R1, 0 
	MOVWF       _decLon+1 
	MOVF        R2, 0 
	MOVWF       _decLon+2 
	MOVF        R3, 0 
	MOVWF       _decLon+3 
;Gps.c,319 :: 		decLon = decLon / 6;
	MOVLW       6
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVF        R0, 0 
	MOVWF       _decLon+0 
	MOVF        R1, 0 
	MOVWF       _decLon+1 
	MOVF        R2, 0 
	MOVWF       _decLon+2 
	MOVF        R3, 0 
	MOVWF       _decLon+3 
;Gps.c,321 :: 		}
L_end_ProcessLongitude:
	RETURN      0
; end of _ProcessLongitude

_ProcessLatitude:

;Gps.c,325 :: 		void ProcessLatitude(unsigned char* pPar1, unsigned char* pPar2)
;Gps.c,329 :: 		strncpy(latitude, pPar1, 9);
	MOVLW       _latitude+0
	MOVWF       FARG_strncpy_to+0 
	MOVLW       hi_addr(_latitude+0)
	MOVWF       FARG_strncpy_to+1 
	MOVF        FARG_ProcessLatitude_pPar1+0, 0 
	MOVWF       FARG_strncpy_from+0 
	MOVF        FARG_ProcessLatitude_pPar1+1, 0 
	MOVWF       FARG_strncpy_from+1 
	MOVLW       9
	MOVWF       FARG_strncpy_size+0 
	MOVLW       0
	MOVWF       FARG_strncpy_size+1 
	CALL        _strncpy+0, 0
;Gps.c,330 :: 		if (strlen(latitude) != 9 )
	MOVLW       _latitude+0
	MOVWF       FARG_strlen_s+0 
	MOVLW       hi_addr(_latitude+0)
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessLatitude141
	MOVLW       9
	XORWF       R0, 0 
L__ProcessLatitude141:
	BTFSC       STATUS+0, 2 
	GOTO        L_ProcessLatitude34
;Gps.c,331 :: 		return;
	GOTO        L_end_ProcessLatitude
L_ProcessLatitude34:
;Gps.c,333 :: 		intLat = (latitude[0] - '0') * 10 + latitude[1] - '0';
	MOVLW       48
	SUBWF       _latitude+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        _latitude+1, 0 
	ADDWF       R0, 0 
	MOVWF       _intLat+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       _intLat+1 
	MOVLW       48
	SUBWF       _intLat+0, 1 
	MOVLW       0
	SUBWFB      _intLat+1, 1 
;Gps.c,334 :: 		if(*pPar2 == 'S')
	MOVFF       FARG_ProcessLatitude_pPar2+0, FSR0
	MOVFF       FARG_ProcessLatitude_pPar2+1, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       83
	BTFSS       STATUS+0, 2 
	GOTO        L_ProcessLatitude35
;Gps.c,336 :: 		intLon = 0 - intLon;
	MOVF        _intLon+0, 0 
	SUBLW       0
	MOVWF       _intLon+0 
	MOVF        _intLon+1, 0 
	MOVWF       _intLon+1 
	MOVLW       0
	SUBFWB      _intLon+1, 1 
;Gps.c,337 :: 		}
L_ProcessLatitude35:
;Gps.c,338 :: 		decLat = 0;
	CLRF        _decLat+0 
	CLRF        _decLat+1 
	CLRF        _decLat+2 
	CLRF        _decLat+3 
;Gps.c,339 :: 		for (i=2;i<9;i++)
	MOVLW       2
	MOVWF       ProcessLatitude_i_L0+0 
	MOVLW       0
	MOVWF       ProcessLatitude_i_L0+1 
L_ProcessLatitude36:
	MOVLW       128
	XORWF       ProcessLatitude_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessLatitude142
	MOVLW       9
	SUBWF       ProcessLatitude_i_L0+0, 0 
L__ProcessLatitude142:
	BTFSC       STATUS+0, 0 
	GOTO        L_ProcessLatitude37
;Gps.c,341 :: 		if ( latitude[i] != '.' )
	MOVLW       _latitude+0
	ADDWF       ProcessLatitude_i_L0+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_latitude+0)
	ADDWFC      ProcessLatitude_i_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       46
	BTFSC       STATUS+0, 2 
	GOTO        L_ProcessLatitude39
;Gps.c,343 :: 		decLat = decLat * 10 + latitude[i] - '0';
	MOVF        _decLat+0, 0 
	MOVWF       R0 
	MOVF        _decLat+1, 0 
	MOVWF       R1 
	MOVF        _decLat+2, 0 
	MOVWF       R2 
	MOVF        _decLat+3, 0 
	MOVWF       R3 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVLW       _latitude+0
	ADDWF       ProcessLatitude_i_L0+0, 0 
	MOVWF       FSR2 
	MOVLW       hi_addr(_latitude+0)
	ADDWFC      ProcessLatitude_i_L0+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	ADDWF       R0, 0 
	MOVWF       _decLat+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       _decLat+1 
	MOVLW       0
	ADDWFC      R2, 0 
	MOVWF       _decLat+2 
	MOVLW       0
	ADDWFC      R3, 0 
	MOVWF       _decLat+3 
	MOVLW       48
	SUBWF       _decLat+0, 1 
	MOVLW       0
	SUBWFB      _decLat+1, 1 
	SUBWFB      _decLat+2, 1 
	SUBWFB      _decLat+3, 1 
;Gps.c,344 :: 		}
L_ProcessLatitude39:
;Gps.c,339 :: 		for (i=2;i<9;i++)
	INFSNZ      ProcessLatitude_i_L0+0, 1 
	INCF        ProcessLatitude_i_L0+1, 1 
;Gps.c,345 :: 		}
	GOTO        L_ProcessLatitude36
L_ProcessLatitude37:
;Gps.c,347 :: 		decLat = decLat * 10;
	MOVF        _decLat+0, 0 
	MOVWF       R0 
	MOVF        _decLat+1, 0 
	MOVWF       R1 
	MOVF        _decLat+2, 0 
	MOVWF       R2 
	MOVF        _decLat+3, 0 
	MOVWF       R3 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _decLat+0 
	MOVF        R1, 0 
	MOVWF       _decLat+1 
	MOVF        R2, 0 
	MOVWF       _decLat+2 
	MOVF        R3, 0 
	MOVWF       _decLat+3 
;Gps.c,348 :: 		decLat = decLat / 6;
	MOVLW       6
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_S+0, 0
	MOVF        R0, 0 
	MOVWF       _decLat+0 
	MOVF        R1, 0 
	MOVWF       _decLat+1 
	MOVF        R2, 0 
	MOVWF       _decLat+2 
	MOVF        R3, 0 
	MOVWF       _decLat+3 
;Gps.c,350 :: 		}
L_end_ProcessLatitude:
	RETURN      0
; end of _ProcessLatitude

_ProcessTime:

;Gps.c,354 :: 		void ProcessTime(unsigned char* pPar)
;Gps.c,356 :: 		if ( strlen(pPar) != 10 )
	MOVF        FARG_ProcessTime_pPar+0, 0 
	MOVWF       FARG_strlen_s+0 
	MOVF        FARG_ProcessTime_pPar+1, 0 
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessTime144
	MOVLW       10
	XORWF       R0, 0 
L__ProcessTime144:
	BTFSC       STATUS+0, 2 
	GOTO        L_ProcessTime40
;Gps.c,358 :: 		time[0] = 0;
	CLRF        _time+0 
;Gps.c,359 :: 		}
	GOTO        L_ProcessTime41
L_ProcessTime40:
;Gps.c,362 :: 		strncpy(&time[0], &pPar[0], 2);
	MOVLW       _time+0
	MOVWF       FARG_strncpy_to+0 
	MOVLW       hi_addr(_time+0)
	MOVWF       FARG_strncpy_to+1 
	MOVF        FARG_ProcessTime_pPar+0, 0 
	MOVWF       FARG_strncpy_from+0 
	MOVF        FARG_ProcessTime_pPar+1, 0 
	MOVWF       FARG_strncpy_from+1 
	MOVLW       2
	MOVWF       FARG_strncpy_size+0 
	MOVLW       0
	MOVWF       FARG_strncpy_size+1 
	CALL        _strncpy+0, 0
;Gps.c,363 :: 		strncpy(&time[3], &pPar[2], 2);
	MOVLW       _time+3
	MOVWF       FARG_strncpy_to+0 
	MOVLW       hi_addr(_time+3)
	MOVWF       FARG_strncpy_to+1 
	MOVLW       2
	ADDWF       FARG_ProcessTime_pPar+0, 0 
	MOVWF       FARG_strncpy_from+0 
	MOVLW       0
	ADDWFC      FARG_ProcessTime_pPar+1, 0 
	MOVWF       FARG_strncpy_from+1 
	MOVLW       2
	MOVWF       FARG_strncpy_size+0 
	MOVLW       0
	MOVWF       FARG_strncpy_size+1 
	CALL        _strncpy+0, 0
;Gps.c,364 :: 		strncpy(&time[6], &pPar[4], 2);
	MOVLW       _time+6
	MOVWF       FARG_strncpy_to+0 
	MOVLW       hi_addr(_time+6)
	MOVWF       FARG_strncpy_to+1 
	MOVLW       4
	ADDWF       FARG_ProcessTime_pPar+0, 0 
	MOVWF       FARG_strncpy_from+0 
	MOVLW       0
	ADDWFC      FARG_ProcessTime_pPar+1, 0 
	MOVWF       FARG_strncpy_from+1 
	MOVLW       2
	MOVWF       FARG_strncpy_size+0 
	MOVLW       0
	MOVWF       FARG_strncpy_size+1 
	CALL        _strncpy+0, 0
;Gps.c,365 :: 		time[2] = time[5] = ':';
	MOVLW       58
	MOVWF       _time+5 
	MOVLW       58
	MOVWF       _time+2 
;Gps.c,366 :: 		}
L_ProcessTime41:
;Gps.c,368 :: 		time[sizeof(time)-1] = 0;
	CLRF        _time+8 
;Gps.c,369 :: 		}
L_end_ProcessTime:
	RETURN      0
; end of _ProcessTime

_ProcessDate:

;Gps.c,373 :: 		void ProcessDate(unsigned char* pPar)
;Gps.c,376 :: 		if ( strlen(pPar) != 6 )
	MOVF        FARG_ProcessDate_pPar+0, 0 
	MOVWF       FARG_strlen_s+0 
	MOVF        FARG_ProcessDate_pPar+1, 0 
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessDate146
	MOVLW       6
	XORWF       R0, 0 
L__ProcessDate146:
	BTFSC       STATUS+0, 2 
	GOTO        L_ProcessDate42
;Gps.c,378 :: 		date[0] = 0;
	CLRF        _date+0 
;Gps.c,379 :: 		}
	GOTO        L_ProcessDate43
L_ProcessDate42:
;Gps.c,382 :: 		strncpy(&date[0], &pPar[0], 2);
	MOVLW       _date+0
	MOVWF       FARG_strncpy_to+0 
	MOVLW       hi_addr(_date+0)
	MOVWF       FARG_strncpy_to+1 
	MOVF        FARG_ProcessDate_pPar+0, 0 
	MOVWF       FARG_strncpy_from+0 
	MOVF        FARG_ProcessDate_pPar+1, 0 
	MOVWF       FARG_strncpy_from+1 
	MOVLW       2
	MOVWF       FARG_strncpy_size+0 
	MOVLW       0
	MOVWF       FARG_strncpy_size+1 
	CALL        _strncpy+0, 0
;Gps.c,383 :: 		strncpy(&date[3], &pPar[2], 2);
	MOVLW       _date+3
	MOVWF       FARG_strncpy_to+0 
	MOVLW       hi_addr(_date+3)
	MOVWF       FARG_strncpy_to+1 
	MOVLW       2
	ADDWF       FARG_ProcessDate_pPar+0, 0 
	MOVWF       FARG_strncpy_from+0 
	MOVLW       0
	ADDWFC      FARG_ProcessDate_pPar+1, 0 
	MOVWF       FARG_strncpy_from+1 
	MOVLW       2
	MOVWF       FARG_strncpy_size+0 
	MOVLW       0
	MOVWF       FARG_strncpy_size+1 
	CALL        _strncpy+0, 0
;Gps.c,384 :: 		strncpy(&date[6], &pPar[4], 2);
	MOVLW       _date+6
	MOVWF       FARG_strncpy_to+0 
	MOVLW       hi_addr(_date+6)
	MOVWF       FARG_strncpy_to+1 
	MOVLW       4
	ADDWF       FARG_ProcessDate_pPar+0, 0 
	MOVWF       FARG_strncpy_from+0 
	MOVLW       0
	ADDWFC      FARG_ProcessDate_pPar+1, 0 
	MOVWF       FARG_strncpy_from+1 
	MOVLW       2
	MOVWF       FARG_strncpy_size+0 
	MOVLW       0
	MOVWF       FARG_strncpy_size+1 
	CALL        _strncpy+0, 0
;Gps.c,385 :: 		date[2] = date[5] = '/';
	MOVLW       47
	MOVWF       _date+5 
	MOVLW       47
	MOVWF       _date+2 
;Gps.c,386 :: 		}
L_ProcessDate43:
;Gps.c,388 :: 		date[sizeof(date)-1] = 0;
	CLRF        _date+8 
;Gps.c,389 :: 		}
L_end_ProcessDate:
	RETURN      0
; end of _ProcessDate

_ProcessGPRMC:

;Gps.c,393 :: 		void ProcessGPRMC()
;Gps.c,396 :: 		if ( nPars != 13 )
	MOVLW       0
	XORWF       _nPars+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessGPRMC148
	MOVLW       13
	XORWF       _nPars+0, 0 
L__ProcessGPRMC148:
	BTFSC       STATUS+0, 2 
	GOTO        L_ProcessGPRMC44
;Gps.c,397 :: 		return;
	GOTO        L_end_ProcessGPRMC
L_ProcessGPRMC44:
;Gps.c,399 :: 		if ( *pPars[2] != 'A' )
	MOVFF       _pPars+4, FSR0
	MOVFF       _pPars+5, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       65
	BTFSC       STATUS+0, 2 
	GOTO        L_ProcessGPRMC45
;Gps.c,400 :: 		return;
	GOTO        L_end_ProcessGPRMC
L_ProcessGPRMC45:
;Gps.c,402 :: 		ProcessLatitude(pPars[3], pPars[4]);
	MOVF        _pPars+6, 0 
	MOVWF       FARG_ProcessLatitude_pPar1+0 
	MOVF        _pPars+7, 0 
	MOVWF       FARG_ProcessLatitude_pPar1+1 
	MOVF        _pPars+8, 0 
	MOVWF       FARG_ProcessLatitude_pPar2+0 
	MOVF        _pPars+9, 0 
	MOVWF       FARG_ProcessLatitude_pPar2+1 
	CALL        _ProcessLatitude+0, 0
;Gps.c,403 :: 		ProcessLongitude(pPars[5], pPars[6]);
	MOVF        _pPars+10, 0 
	MOVWF       FARG_ProcessLongitude_pPar1+0 
	MOVF        _pPars+11, 0 
	MOVWF       FARG_ProcessLongitude_pPar1+1 
	MOVF        _pPars+12, 0 
	MOVWF       FARG_ProcessLongitude_pPar2+0 
	MOVF        _pPars+13, 0 
	MOVWF       FARG_ProcessLongitude_pPar2+1 
	CALL        _ProcessLongitude+0, 0
;Gps.c,404 :: 		ProcessTime(pPars[1]);
	MOVF        _pPars+2, 0 
	MOVWF       FARG_ProcessTime_pPar+0 
	MOVF        _pPars+3, 0 
	MOVWF       FARG_ProcessTime_pPar+1 
	CALL        _ProcessTime+0, 0
;Gps.c,405 :: 		ProcessDate(pPars[9]);
	MOVF        _pPars+18, 0 
	MOVWF       FARG_ProcessDate_pPar+0 
	MOVF        _pPars+19, 0 
	MOVWF       FARG_ProcessDate_pPar+1 
	CALL        _ProcessDate+0, 0
;Gps.c,407 :: 		}
L_end_ProcessGPRMC:
	RETURN      0
; end of _ProcessGPRMC

_ProcessGPVTG:

;Gps.c,411 :: 		void ProcessGPVTG()
;Gps.c,414 :: 		}
L_end_ProcessGPVTG:
	RETURN      0
; end of _ProcessGPVTG

_ProcessGPGGA:

;Gps.c,418 :: 		void ProcessGPGGA()
;Gps.c,421 :: 		if ( nPars != 15 )
	MOVLW       0
	XORWF       _nPars+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessGPGGA151
	MOVLW       15
	XORWF       _nPars+0, 0 
L__ProcessGPGGA151:
	BTFSC       STATUS+0, 2 
	GOTO        L_ProcessGPGGA46
;Gps.c,422 :: 		return;
	GOTO        L_end_ProcessGPGGA
L_ProcessGPGGA46:
;Gps.c,424 :: 		ProcessLatitude(pPars[2], pPars[3]);
	MOVF        _pPars+4, 0 
	MOVWF       FARG_ProcessLatitude_pPar1+0 
	MOVF        _pPars+5, 0 
	MOVWF       FARG_ProcessLatitude_pPar1+1 
	MOVF        _pPars+6, 0 
	MOVWF       FARG_ProcessLatitude_pPar2+0 
	MOVF        _pPars+7, 0 
	MOVWF       FARG_ProcessLatitude_pPar2+1 
	CALL        _ProcessLatitude+0, 0
;Gps.c,425 :: 		ProcessLongitude(pPars[4], pPars[5]);
	MOVF        _pPars+8, 0 
	MOVWF       FARG_ProcessLongitude_pPar1+0 
	MOVF        _pPars+9, 0 
	MOVWF       FARG_ProcessLongitude_pPar1+1 
	MOVF        _pPars+10, 0 
	MOVWF       FARG_ProcessLongitude_pPar2+0 
	MOVF        _pPars+11, 0 
	MOVWF       FARG_ProcessLongitude_pPar2+1 
	CALL        _ProcessLongitude+0, 0
;Gps.c,426 :: 		ProcessTime(pPars[1]);
	MOVF        _pPars+2, 0 
	MOVWF       FARG_ProcessTime_pPar+0 
	MOVF        _pPars+3, 0 
	MOVWF       FARG_ProcessTime_pPar+1 
	CALL        _ProcessTime+0, 0
;Gps.c,428 :: 		strncpy(nSats, pPars[7], 2);
	MOVLW       _nSats+0
	MOVWF       FARG_strncpy_to+0 
	MOVLW       hi_addr(_nSats+0)
	MOVWF       FARG_strncpy_to+1 
	MOVF        _pPars+14, 0 
	MOVWF       FARG_strncpy_from+0 
	MOVF        _pPars+15, 0 
	MOVWF       FARG_strncpy_from+1 
	MOVLW       2
	MOVWF       FARG_strncpy_size+0 
	MOVLW       0
	MOVWF       FARG_strncpy_size+1 
	CALL        _strncpy+0, 0
;Gps.c,429 :: 		nSatellites = 0;
	CLRF        _nSatellites+0 
	CLRF        _nSatellites+1 
;Gps.c,430 :: 		if ((nSats[0] >= '0' ) && ( nSats[0] <= '9' ))
	MOVLW       48
	SUBWF       _nSats+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_ProcessGPGGA49
	MOVF        _nSats+0, 0 
	SUBLW       57
	BTFSS       STATUS+0, 0 
	GOTO        L_ProcessGPGGA49
L__ProcessGPGGA123:
;Gps.c,431 :: 		nSatellites = nSats[0] - '0';
	MOVLW       48
	SUBWF       _nSats+0, 0 
	MOVWF       _nSatellites+0 
	CLRF        _nSatellites+1 
	MOVLW       0
	SUBWFB      _nSatellites+1, 1 
L_ProcessGPGGA49:
;Gps.c,432 :: 		if ((nSats[1] >= '0' ) && ( nSats[1] <= '9' ))
	MOVLW       48
	SUBWF       _nSats+1, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_ProcessGPGGA52
	MOVF        _nSats+1, 0 
	SUBLW       57
	BTFSS       STATUS+0, 0 
	GOTO        L_ProcessGPGGA52
L__ProcessGPGGA122:
;Gps.c,433 :: 		nSatellites = nSatellites*10 + nSats[1] - '0';
	MOVF        _nSatellites+0, 0 
	MOVWF       R0 
	MOVF        _nSatellites+1, 0 
	MOVWF       R1 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        _nSats+1, 0 
	ADDWF       R0, 0 
	MOVWF       _nSatellites+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       _nSatellites+1 
	MOVLW       48
	SUBWF       _nSatellites+0, 1 
	MOVLW       0
	SUBWFB      _nSatellites+1, 1 
L_ProcessGPGGA52:
;Gps.c,434 :: 		strncpy(altitude, pPars[9], 7);
	MOVLW       _altitude+0
	MOVWF       FARG_strncpy_to+0 
	MOVLW       hi_addr(_altitude+0)
	MOVWF       FARG_strncpy_to+1 
	MOVF        _pPars+18, 0 
	MOVWF       FARG_strncpy_from+0 
	MOVF        _pPars+19, 0 
	MOVWF       FARG_strncpy_from+1 
	MOVLW       7
	MOVWF       FARG_strncpy_size+0 
	MOVLW       0
	MOVWF       FARG_strncpy_size+1 
	CALL        _strncpy+0, 0
;Gps.c,436 :: 		}
L_end_ProcessGPGGA:
	RETURN      0
; end of _ProcessGPGGA

_ProcessGPGSA:

;Gps.c,440 :: 		void ProcessGPGSA()
;Gps.c,443 :: 		}
L_end_ProcessGPGSA:
	RETURN      0
; end of _ProcessGPGSA

_ProcessGPGSV:

;Gps.c,447 :: 		void ProcessGPGSV()
;Gps.c,450 :: 		}
L_end_ProcessGPGSV:
	RETURN      0
; end of _ProcessGPGSV

_ProcessGPGLL:

;Gps.c,454 :: 		void ProcessGPGLL()
;Gps.c,456 :: 		if ( nPars != 8 )
	MOVLW       0
	XORWF       _nPars+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessGPGLL155
	MOVLW       8
	XORWF       _nPars+0, 0 
L__ProcessGPGLL155:
	BTFSC       STATUS+0, 2 
	GOTO        L_ProcessGPGLL53
;Gps.c,457 :: 		return;
	GOTO        L_end_ProcessGPGLL
L_ProcessGPGLL53:
;Gps.c,459 :: 		if ( *pPars[6] != 'A' )
	MOVFF       _pPars+12, FSR0
	MOVFF       _pPars+13, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       65
	BTFSC       STATUS+0, 2 
	GOTO        L_ProcessGPGLL54
;Gps.c,460 :: 		return;
	GOTO        L_end_ProcessGPGLL
L_ProcessGPGLL54:
;Gps.c,462 :: 		ProcessLatitude(pPars[1], pPars[2]);
	MOVF        _pPars+2, 0 
	MOVWF       FARG_ProcessLatitude_pPar1+0 
	MOVF        _pPars+3, 0 
	MOVWF       FARG_ProcessLatitude_pPar1+1 
	MOVF        _pPars+4, 0 
	MOVWF       FARG_ProcessLatitude_pPar2+0 
	MOVF        _pPars+5, 0 
	MOVWF       FARG_ProcessLatitude_pPar2+1 
	CALL        _ProcessLatitude+0, 0
;Gps.c,463 :: 		ProcessLongitude(pPars[3], pPars[4]);
	MOVF        _pPars+6, 0 
	MOVWF       FARG_ProcessLongitude_pPar1+0 
	MOVF        _pPars+7, 0 
	MOVWF       FARG_ProcessLongitude_pPar1+1 
	MOVF        _pPars+8, 0 
	MOVWF       FARG_ProcessLongitude_pPar2+0 
	MOVF        _pPars+9, 0 
	MOVWF       FARG_ProcessLongitude_pPar2+1 
	CALL        _ProcessLongitude+0, 0
;Gps.c,464 :: 		ProcessTime(pPars[5]);
	MOVF        _pPars+10, 0 
	MOVWF       FARG_ProcessTime_pPar+0 
	MOVF        _pPars+11, 0 
	MOVWF       FARG_ProcessTime_pPar+1 
	CALL        _ProcessTime+0, 0
;Gps.c,466 :: 		}
L_end_ProcessGPGLL:
	RETURN      0
; end of _ProcessGPGLL

_ProcessGPZDA:

;Gps.c,470 :: 		void ProcessGPZDA()
;Gps.c,473 :: 		}
L_end_ProcessGPZDA:
	RETURN      0
; end of _ProcessGPZDA

_ProcessGPTXT:

;Gps.c,477 :: 		void ProcessGPTXT()
;Gps.c,480 :: 		}
L_end_ProcessGPTXT:
	RETURN      0
; end of _ProcessGPTXT

_ProcessGps:

;Gps.c,484 :: 		void ProcessGps()
;Gps.c,498 :: 		nLen = 0;
	CLRF        ProcessGps_nLen_L0+0 
	CLRF        ProcessGps_nLen_L0+1 
;Gps.c,499 :: 		pMsg = &msg;
	MOVLW       _msg+0
	MOVWF       ProcessGps_pMsg_L0+0 
	MOVLW       hi_addr(_msg+0)
	MOVWF       ProcessGps_pMsg_L0+1 
;Gps.c,500 :: 		while ( *pMsg != 10 )
L_ProcessGps55:
	MOVFF       ProcessGps_pMsg_L0+0, FSR0
	MOVFF       ProcessGps_pMsg_L0+1, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       10
	BTFSC       STATUS+0, 2 
	GOTO        L_ProcessGps56
;Gps.c,502 :: 		pMsg++;
	INFSNZ      ProcessGps_pMsg_L0+0, 1 
	INCF        ProcessGps_pMsg_L0+1, 1 
;Gps.c,503 :: 		nLen++;
	INFSNZ      ProcessGps_nLen_L0+0, 1 
	INCF        ProcessGps_nLen_L0+1, 1 
;Gps.c,504 :: 		}
	GOTO        L_ProcessGps55
L_ProcessGps56:
;Gps.c,505 :: 		msg[nLen+1] = 0;
	MOVLW       1
	ADDWF       ProcessGps_nLen_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      ProcessGps_nLen_L0+1, 0 
	MOVWF       R1 
	MOVLW       _msg+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_msg+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
;Gps.c,506 :: 		if ( nLen < 5 )
	MOVLW       128
	XORWF       ProcessGps_nLen_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessGps159
	MOVLW       5
	SUBWF       ProcessGps_nLen_L0+0, 0 
L__ProcessGps159:
	BTFSC       STATUS+0, 0 
	GOTO        L_ProcessGps57
;Gps.c,507 :: 		return;
	GOTO        L_end_ProcessGps
L_ProcessGps57:
;Gps.c,511 :: 		nLen--;
	MOVLW       1
	SUBWF       ProcessGps_nLen_L0+0, 1 
	MOVLW       0
	SUBWFB      ProcessGps_nLen_L0+1, 1 
;Gps.c,512 :: 		if ( msg[nLen] != 13 )
	MOVLW       _msg+0
	ADDWF       ProcessGps_nLen_L0+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_msg+0)
	ADDWFC      ProcessGps_nLen_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       13
	BTFSC       STATUS+0, 2 
	GOTO        L_ProcessGps58
;Gps.c,513 :: 		return;
	GOTO        L_end_ProcessGps
L_ProcessGps58:
;Gps.c,516 :: 		nLen--;
	MOVLW       1
	SUBWF       ProcessGps_nLen_L0+0, 1 
	MOVLW       0
	SUBWFB      ProcessGps_nLen_L0+1, 1 
;Gps.c,517 :: 		c = msg[nLen];
	MOVLW       _msg+0
	ADDWF       ProcessGps_nLen_L0+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_msg+0)
	ADDWFC      ProcessGps_nLen_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_DecoderHex_hex+0 
;Gps.c,518 :: 		checkSum1 = DecoderHex(c);
	CALL        _DecoderHex+0, 0
	MOVF        R0, 0 
	MOVWF       ProcessGps_checkSum1_L0+0 
	MOVF        R1, 0 
	MOVWF       ProcessGps_checkSum1_L0+1 
;Gps.c,519 :: 		nLen--;
	MOVLW       1
	SUBWF       ProcessGps_nLen_L0+0, 1 
	MOVLW       0
	SUBWFB      ProcessGps_nLen_L0+1, 1 
;Gps.c,520 :: 		checkSum1 += DecoderHex(msg[nLen])*16;
	MOVLW       _msg+0
	ADDWF       ProcessGps_nLen_L0+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_msg+0)
	ADDWFC      ProcessGps_nLen_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_DecoderHex_hex+0 
	CALL        _DecoderHex+0, 0
	MOVLW       4
	MOVWF       R4 
	MOVF        R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	MOVF        R4, 0 
L__ProcessGps160:
	BZ          L__ProcessGps161
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L__ProcessGps160
L__ProcessGps161:
	MOVF        R2, 0 
	ADDWF       ProcessGps_checkSum1_L0+0, 1 
	MOVF        R3, 0 
	ADDWFC      ProcessGps_checkSum1_L0+1, 1 
;Gps.c,521 :: 		nLen--;
	MOVLW       1
	SUBWF       ProcessGps_nLen_L0+0, 1 
	MOVLW       0
	SUBWFB      ProcessGps_nLen_L0+1, 1 
;Gps.c,522 :: 		if ( msg[nLen] != '*' )
	MOVLW       _msg+0
	ADDWF       ProcessGps_nLen_L0+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_msg+0)
	ADDWFC      ProcessGps_nLen_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       42
	BTFSC       STATUS+0, 2 
	GOTO        L_ProcessGps59
;Gps.c,523 :: 		return;
	GOTO        L_end_ProcessGps
L_ProcessGps59:
;Gps.c,524 :: 		nLen--;
	MOVLW       1
	SUBWF       ProcessGps_nLen_L0+0, 1 
	MOVLW       0
	SUBWFB      ProcessGps_nLen_L0+1, 1 
;Gps.c,528 :: 		checksum2 = 0;
	CLRF        ProcessGps_checkSum2_L0+0 
	CLRF        ProcessGps_checkSum2_L0+1 
;Gps.c,529 :: 		n = nLen;
	MOVF        ProcessGps_nLen_L0+0, 0 
	MOVWF       ProcessGps_n_L0+0 
	MOVF        ProcessGps_nLen_L0+1, 0 
	MOVWF       ProcessGps_n_L0+1 
;Gps.c,530 :: 		pMsg = &msg+1;
	MOVLW       _msg+1
	MOVWF       ProcessGps_pMsg_L0+0 
	MOVLW       hi_addr(_msg+1)
	MOVWF       ProcessGps_pMsg_L0+1 
;Gps.c,531 :: 		while ( n > 0 )
L_ProcessGps60:
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       ProcessGps_n_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessGps162
	MOVF        ProcessGps_n_L0+0, 0 
	SUBLW       0
L__ProcessGps162:
	BTFSC       STATUS+0, 0 
	GOTO        L_ProcessGps61
;Gps.c,533 :: 		checksum2 = checksum2 ^ *pMsg;
	MOVFF       ProcessGps_pMsg_L0+0, FSR2
	MOVFF       ProcessGps_pMsg_L0+1, FSR2H
	MOVF        POSTINC2+0, 0 
	XORWF       ProcessGps_checkSum2_L0+0, 1 
	MOVLW       0
	XORWF       ProcessGps_checkSum2_L0+1, 1 
;Gps.c,534 :: 		pMsg++;
	INFSNZ      ProcessGps_pMsg_L0+0, 1 
	INCF        ProcessGps_pMsg_L0+1, 1 
;Gps.c,535 :: 		n--;
	MOVLW       1
	SUBWF       ProcessGps_n_L0+0, 1 
	MOVLW       0
	SUBWFB      ProcessGps_n_L0+1, 1 
;Gps.c,536 :: 		}
	GOTO        L_ProcessGps60
L_ProcessGps61:
;Gps.c,539 :: 		if ( checkSum1 != checkSum2 )
	MOVF        ProcessGps_checkSum1_L0+1, 0 
	XORWF       ProcessGps_checkSum2_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessGps163
	MOVF        ProcessGps_checkSum2_L0+0, 0 
	XORWF       ProcessGps_checkSum1_L0+0, 0 
L__ProcessGps163:
	BTFSC       STATUS+0, 2 
	GOTO        L_ProcessGps62
;Gps.c,540 :: 		return;
	GOTO        L_end_ProcessGps
L_ProcessGps62:
;Gps.c,544 :: 		pMsg = &msg;
	MOVLW       _msg+0
	MOVWF       ProcessGps_pMsg_L0+0 
	MOVLW       hi_addr(_msg+0)
	MOVWF       ProcessGps_pMsg_L0+1 
;Gps.c,545 :: 		pPars[0] = pMsg;
	MOVF        ProcessGps_pMsg_L0+0, 0 
	MOVWF       _pPars+0 
	MOVF        ProcessGps_pMsg_L0+1, 0 
	MOVWF       _pPars+1 
;Gps.c,546 :: 		nPars = 1;
	MOVLW       1
	MOVWF       _nPars+0 
	MOVLW       0
	MOVWF       _nPars+1 
;Gps.c,547 :: 		while ( *pMsg != 13 )
L_ProcessGps63:
	MOVFF       ProcessGps_pMsg_L0+0, FSR0
	MOVFF       ProcessGps_pMsg_L0+1, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       13
	BTFSC       STATUS+0, 2 
	GOTO        L_ProcessGps64
;Gps.c,549 :: 		if ( *pMsg == ',' )
	MOVFF       ProcessGps_pMsg_L0+0, FSR0
	MOVFF       ProcessGps_pMsg_L0+1, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       44
	BTFSS       STATUS+0, 2 
	GOTO        L_ProcessGps65
;Gps.c,551 :: 		*pMsg = 0;
	MOVFF       ProcessGps_pMsg_L0+0, FSR1
	MOVFF       ProcessGps_pMsg_L0+1, FSR1H
	CLRF        POSTINC1+0 
;Gps.c,552 :: 		pPars[nPars++] = pMsg+1;
	MOVF        _nPars+0, 0 
	MOVWF       R0 
	MOVF        _nPars+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _pPars+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_pPars+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       1
	ADDWF       ProcessGps_pMsg_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      ProcessGps_pMsg_L0+1, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	INFSNZ      _nPars+0, 1 
	INCF        _nPars+1, 1 
;Gps.c,553 :: 		}
	GOTO        L_ProcessGps66
L_ProcessGps65:
;Gps.c,554 :: 		else if ( *pMsg == '*' )
	MOVFF       ProcessGps_pMsg_L0+0, FSR0
	MOVFF       ProcessGps_pMsg_L0+1, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       42
	BTFSS       STATUS+0, 2 
	GOTO        L_ProcessGps67
;Gps.c,556 :: 		*pMsg = 0;
	MOVFF       ProcessGps_pMsg_L0+0, FSR1
	MOVFF       ProcessGps_pMsg_L0+1, FSR1H
	CLRF        POSTINC1+0 
;Gps.c,557 :: 		break;
	GOTO        L_ProcessGps64
;Gps.c,558 :: 		}
L_ProcessGps67:
L_ProcessGps66:
;Gps.c,559 :: 		*pMsg++;
	INFSNZ      ProcessGps_pMsg_L0+0, 1 
	INCF        ProcessGps_pMsg_L0+1, 1 
;Gps.c,560 :: 		}
	GOTO        L_ProcessGps63
L_ProcessGps64:
;Gps.c,564 :: 		if (strcmp(pPars[0], "$GPRMC" ) == 0 )
	MOVF        _pPars+0, 0 
	MOVWF       FARG_strcmp_s1+0 
	MOVF        _pPars+1, 0 
	MOVWF       FARG_strcmp_s1+1 
	MOVLW       ?lstr5_Gps+0
	MOVWF       FARG_strcmp_s2+0 
	MOVLW       hi_addr(?lstr5_Gps+0)
	MOVWF       FARG_strcmp_s2+1 
	CALL        _strcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessGps164
	MOVLW       0
	XORWF       R0, 0 
L__ProcessGps164:
	BTFSS       STATUS+0, 2 
	GOTO        L_ProcessGps68
;Gps.c,566 :: 		ProcessGPRMC();
	CALL        _ProcessGPRMC+0, 0
;Gps.c,567 :: 		}
	GOTO        L_ProcessGps69
L_ProcessGps68:
;Gps.c,568 :: 		else if (strcmp(pPars[0], "$GPVTG" ) == 0 )
	MOVF        _pPars+0, 0 
	MOVWF       FARG_strcmp_s1+0 
	MOVF        _pPars+1, 0 
	MOVWF       FARG_strcmp_s1+1 
	MOVLW       ?lstr6_Gps+0
	MOVWF       FARG_strcmp_s2+0 
	MOVLW       hi_addr(?lstr6_Gps+0)
	MOVWF       FARG_strcmp_s2+1 
	CALL        _strcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessGps165
	MOVLW       0
	XORWF       R0, 0 
L__ProcessGps165:
	BTFSS       STATUS+0, 2 
	GOTO        L_ProcessGps70
;Gps.c,570 :: 		ProcessGPVTG();
	CALL        _ProcessGPVTG+0, 0
;Gps.c,571 :: 		}
	GOTO        L_ProcessGps71
L_ProcessGps70:
;Gps.c,572 :: 		else if (strcmp(pPars[0], "$GPGGA" ) == 0 )
	MOVF        _pPars+0, 0 
	MOVWF       FARG_strcmp_s1+0 
	MOVF        _pPars+1, 0 
	MOVWF       FARG_strcmp_s1+1 
	MOVLW       ?lstr7_Gps+0
	MOVWF       FARG_strcmp_s2+0 
	MOVLW       hi_addr(?lstr7_Gps+0)
	MOVWF       FARG_strcmp_s2+1 
	CALL        _strcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessGps166
	MOVLW       0
	XORWF       R0, 0 
L__ProcessGps166:
	BTFSS       STATUS+0, 2 
	GOTO        L_ProcessGps72
;Gps.c,574 :: 		ProcessGPGGA();
	CALL        _ProcessGPGGA+0, 0
;Gps.c,575 :: 		}
	GOTO        L_ProcessGps73
L_ProcessGps72:
;Gps.c,576 :: 		else if (strcmp(pPars[0], "$GPGSA" ) == 0 )
	MOVF        _pPars+0, 0 
	MOVWF       FARG_strcmp_s1+0 
	MOVF        _pPars+1, 0 
	MOVWF       FARG_strcmp_s1+1 
	MOVLW       ?lstr8_Gps+0
	MOVWF       FARG_strcmp_s2+0 
	MOVLW       hi_addr(?lstr8_Gps+0)
	MOVWF       FARG_strcmp_s2+1 
	CALL        _strcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessGps167
	MOVLW       0
	XORWF       R0, 0 
L__ProcessGps167:
	BTFSS       STATUS+0, 2 
	GOTO        L_ProcessGps74
;Gps.c,578 :: 		ProcessGPGSA();
	CALL        _ProcessGPGSA+0, 0
;Gps.c,579 :: 		}
	GOTO        L_ProcessGps75
L_ProcessGps74:
;Gps.c,580 :: 		else if (strcmp(pPars[0], "$GPGSV" ) == 0 )
	MOVF        _pPars+0, 0 
	MOVWF       FARG_strcmp_s1+0 
	MOVF        _pPars+1, 0 
	MOVWF       FARG_strcmp_s1+1 
	MOVLW       ?lstr9_Gps+0
	MOVWF       FARG_strcmp_s2+0 
	MOVLW       hi_addr(?lstr9_Gps+0)
	MOVWF       FARG_strcmp_s2+1 
	CALL        _strcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessGps168
	MOVLW       0
	XORWF       R0, 0 
L__ProcessGps168:
	BTFSS       STATUS+0, 2 
	GOTO        L_ProcessGps76
;Gps.c,582 :: 		ProcessGPGSV();
	CALL        _ProcessGPGSV+0, 0
;Gps.c,583 :: 		}
	GOTO        L_ProcessGps77
L_ProcessGps76:
;Gps.c,584 :: 		else if (strcmp(pPars[0], "$GPGLL" ) == 0 )
	MOVF        _pPars+0, 0 
	MOVWF       FARG_strcmp_s1+0 
	MOVF        _pPars+1, 0 
	MOVWF       FARG_strcmp_s1+1 
	MOVLW       ?lstr10_Gps+0
	MOVWF       FARG_strcmp_s2+0 
	MOVLW       hi_addr(?lstr10_Gps+0)
	MOVWF       FARG_strcmp_s2+1 
	CALL        _strcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessGps169
	MOVLW       0
	XORWF       R0, 0 
L__ProcessGps169:
	BTFSS       STATUS+0, 2 
	GOTO        L_ProcessGps78
;Gps.c,586 :: 		ProcessGPGLL();
	CALL        _ProcessGPGLL+0, 0
;Gps.c,587 :: 		}
	GOTO        L_ProcessGps79
L_ProcessGps78:
;Gps.c,588 :: 		else if (strcmp(pPars[0], "$GPZDA" ) == 0 )
	MOVF        _pPars+0, 0 
	MOVWF       FARG_strcmp_s1+0 
	MOVF        _pPars+1, 0 
	MOVWF       FARG_strcmp_s1+1 
	MOVLW       ?lstr11_Gps+0
	MOVWF       FARG_strcmp_s2+0 
	MOVLW       hi_addr(?lstr11_Gps+0)
	MOVWF       FARG_strcmp_s2+1 
	CALL        _strcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessGps170
	MOVLW       0
	XORWF       R0, 0 
L__ProcessGps170:
	BTFSS       STATUS+0, 2 
	GOTO        L_ProcessGps80
;Gps.c,590 :: 		ProcessGPZDA();
	CALL        _ProcessGPZDA+0, 0
;Gps.c,591 :: 		}
	GOTO        L_ProcessGps81
L_ProcessGps80:
;Gps.c,592 :: 		else if (strcmp(pPars[0], "$GPTXT" ) == 0 )
	MOVF        _pPars+0, 0 
	MOVWF       FARG_strcmp_s1+0 
	MOVF        _pPars+1, 0 
	MOVWF       FARG_strcmp_s1+1 
	MOVLW       ?lstr12_Gps+0
	MOVWF       FARG_strcmp_s2+0 
	MOVLW       hi_addr(?lstr12_Gps+0)
	MOVWF       FARG_strcmp_s2+1 
	CALL        _strcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessGps171
	MOVLW       0
	XORWF       R0, 0 
L__ProcessGps171:
	BTFSS       STATUS+0, 2 
	GOTO        L_ProcessGps82
;Gps.c,594 :: 		ProcessGPTXT();
	CALL        _ProcessGPTXT+0, 0
;Gps.c,595 :: 		}
	GOTO        L_ProcessGps83
L_ProcessGps82:
;Gps.c,596 :: 		else if ( strcmp(pPars[0], "$PMTK501") == 0 )
	MOVF        _pPars+0, 0 
	MOVWF       FARG_strcmp_s1+0 
	MOVF        _pPars+1, 0 
	MOVWF       FARG_strcmp_s1+1 
	MOVLW       ?lstr13_Gps+0
	MOVWF       FARG_strcmp_s2+0 
	MOVLW       hi_addr(?lstr13_Gps+0)
	MOVWF       FARG_strcmp_s2+1 
	CALL        _strcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ProcessGps172
	MOVLW       0
	XORWF       R0, 0 
L__ProcessGps172:
	BTFSS       STATUS+0, 2 
	GOTO        L_ProcessGps84
;Gps.c,598 :: 		TFT_Write_Text(pPars[1], 0, 120);
	MOVF        _pPars+2, 0 
	MOVWF       FARG_TFT_Write_Text_text+0 
	MOVF        _pPars+3, 0 
	MOVWF       FARG_TFT_Write_Text_text+1 
	CLRF        FARG_TFT_Write_Text_x+0 
	CLRF        FARG_TFT_Write_Text_x+1 
	MOVLW       120
	MOVWF       FARG_TFT_Write_Text_y+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_y+1 
	CALL        _TFT_Write_Text+0, 0
;Gps.c,599 :: 		}
L_ProcessGps84:
L_ProcessGps83:
L_ProcessGps81:
L_ProcessGps79:
L_ProcessGps77:
L_ProcessGps75:
L_ProcessGps73:
L_ProcessGps71:
L_ProcessGps69:
;Gps.c,600 :: 		}
L_end_ProcessGps:
	RETURN      0
; end of _ProcessGps

_SendMessage:

;Gps.c,604 :: 		void SendMessage(unsigned char * pMsg)
;Gps.c,606 :: 		int checksum = 0;
	CLRF        SendMessage_checksum_L0+0 
	CLRF        SendMessage_checksum_L0+1 
;Gps.c,612 :: 		pTmp = pMsg;
	MOVF        FARG_SendMessage_pMsg+0, 0 
	MOVWF       SendMessage_pTmp_L0+0 
	MOVF        FARG_SendMessage_pMsg+1, 0 
	MOVWF       SendMessage_pTmp_L0+1 
;Gps.c,613 :: 		while ( *pTmp != 0)
L_SendMessage85:
	MOVFF       SendMessage_pTmp_L0+0, FSR0
	MOVFF       SendMessage_pTmp_L0+1, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_SendMessage86
;Gps.c,615 :: 		checksum = checksum ^ *pTmp;
	MOVFF       SendMessage_pTmp_L0+0, FSR2
	MOVFF       SendMessage_pTmp_L0+1, FSR2H
	MOVF        POSTINC2+0, 0 
	XORWF       SendMessage_checksum_L0+0, 1 
	MOVLW       0
	XORWF       SendMessage_checksum_L0+1, 1 
;Gps.c,616 :: 		pTmp++;
	INFSNZ      SendMessage_pTmp_L0+0, 1 
	INCF        SendMessage_pTmp_L0+1, 1 
;Gps.c,617 :: 		}
	GOTO        L_SendMessage85
L_SendMessage86:
;Gps.c,620 :: 		left = checksum / 16;
	MOVLW       4
	MOVWF       R0 
	MOVF        SendMessage_checksum_L0+0, 0 
	MOVWF       R1 
	MOVF        SendMessage_checksum_L0+1, 0 
	MOVWF       R2 
	MOVF        R0, 0 
L__SendMessage174:
	BZ          L__SendMessage175
	RRCF        R2, 1 
	RRCF        R1, 1 
	BCF         R2, 7 
	BTFSC       R2, 6 
	BSF         R2, 7 
	ADDLW       255
	GOTO        L__SendMessage174
L__SendMessage175:
	MOVF        R1, 0 
	MOVWF       SendMessage_left_L0+0 
	MOVF        R2, 0 
	MOVWF       SendMessage_left_L0+1 
;Gps.c,621 :: 		right = checksum & 0x0f;
	MOVLW       15
	ANDWF       SendMessage_checksum_L0+0, 0 
	MOVWF       SendMessage_right_L0+0 
	MOVF        SendMessage_checksum_L0+1, 0 
	MOVWF       SendMessage_right_L0+1 
	MOVLW       0
	ANDWF       SendMessage_right_L0+1, 1 
;Gps.c,622 :: 		if ( left < 10 )
	MOVLW       128
	XORWF       R2, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__SendMessage176
	MOVLW       10
	SUBWF       R1, 0 
L__SendMessage176:
	BTFSC       STATUS+0, 0 
	GOTO        L_SendMessage87
;Gps.c,623 :: 		left += '0';
	MOVLW       48
	ADDWF       SendMessage_left_L0+0, 1 
	MOVLW       0
	ADDWFC      SendMessage_left_L0+1, 1 
	GOTO        L_SendMessage88
L_SendMessage87:
;Gps.c,625 :: 		left += 'A' - 10;
	MOVLW       55
	ADDWF       SendMessage_left_L0+0, 1 
	MOVLW       0
	ADDWFC      SendMessage_left_L0+1, 1 
L_SendMessage88:
;Gps.c,626 :: 		if ( right < 10 )
	MOVLW       128
	XORWF       SendMessage_right_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__SendMessage177
	MOVLW       10
	SUBWF       SendMessage_right_L0+0, 0 
L__SendMessage177:
	BTFSC       STATUS+0, 0 
	GOTO        L_SendMessage89
;Gps.c,627 :: 		right += '0';
	MOVLW       48
	ADDWF       SendMessage_right_L0+0, 1 
	MOVLW       0
	ADDWFC      SendMessage_right_L0+1, 1 
	GOTO        L_SendMessage90
L_SendMessage89:
;Gps.c,629 :: 		right += 'A' - 10;
	MOVLW       55
	ADDWF       SendMessage_right_L0+0, 1 
	MOVLW       0
	ADDWFC      SendMessage_right_L0+1, 1 
L_SendMessage90:
;Gps.c,633 :: 		UART1_Write('$');
	MOVLW       36
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Gps.c,634 :: 		UART1_Write_Text(pMsg);
	MOVF        FARG_SendMessage_pMsg+0, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVF        FARG_SendMessage_pMsg+1, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Gps.c,636 :: 		UART1_Write('*');
	MOVLW       42
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Gps.c,637 :: 		UART1_Write(left);
	MOVF        SendMessage_left_L0+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Gps.c,638 :: 		UART1_Write(right);
	MOVF        SendMessage_right_L0+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Gps.c,639 :: 		UART1_Write(13);
	MOVLW       13
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Gps.c,640 :: 		UART1_Write(10);
	MOVLW       10
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Gps.c,642 :: 		}
L_end_SendMessage:
	RETURN      0
; end of _SendMessage

_ApiQDatum:

;Gps.c,646 :: 		void ApiQDatum()
;Gps.c,648 :: 		SendMessage(strApiQDatum);
	MOVLW       _strApiQDatum+0
	MOVWF       FARG_SendMessage_pMsg+0 
	MOVLW       hi_addr(_strApiQDatum+0)
	MOVWF       FARG_SendMessage_pMsg+1 
	CALL        _SendMessage+0, 0
;Gps.c,649 :: 		}
L_end_ApiQDatum:
	RETURN      0
; end of _ApiQDatum

_ApiSetDatum:

;Gps.c,653 :: 		void ApiSetDatum()
;Gps.c,655 :: 		SendMessage(strApiSetDatum);
	MOVLW       _strApiSetDatum+0
	MOVWF       FARG_SendMessage_pMsg+0 
	MOVLW       hi_addr(_strApiSetDatum+0)
	MOVWF       FARG_SendMessage_pMsg+1 
	CALL        _SendMessage+0, 0
;Gps.c,656 :: 		}
L_end_ApiSetDatum:
	RETURN      0
; end of _ApiSetDatum

_ApiSetDgpsMode:

;Gps.c,660 :: 		void ApiSetDgpsMode()
;Gps.c,662 :: 		SendMessage(strApiSetDgpsMode);
	MOVLW       _strApiSetDgpsMode+0
	MOVWF       FARG_SendMessage_pMsg+0 
	MOVLW       hi_addr(_strApiSetDgpsMode+0)
	MOVWF       FARG_SendMessage_pMsg+1 
	CALL        _SendMessage+0, 0
;Gps.c,663 :: 		}
L_end_ApiSetDgpsMode:
	RETURN      0
; end of _ApiSetDgpsMode

_ApiSetSbasEnabled:

;Gps.c,667 :: 		void ApiSetSbasEnabled()
;Gps.c,669 :: 		SendMessage(strApiSetSbasEnabled);
	MOVLW       _strApiSetSbasEnabled+0
	MOVWF       FARG_SendMessage_pMsg+0 
	MOVLW       hi_addr(_strApiSetSbasEnabled+0)
	MOVWF       FARG_SendMessage_pMsg+1 
	CALL        _SendMessage+0, 0
;Gps.c,670 :: 		}
L_end_ApiSetSbasEnabled:
	RETURN      0
; end of _ApiSetSbasEnabled

_CmdFullColdStart:

;Gps.c,674 :: 		void CmdFullColdStart()
;Gps.c,676 :: 		SendMessage(strCmdFullColdStart);
	MOVLW       _strCmdFullColdStart+0
	MOVWF       FARG_SendMessage_pMsg+0 
	MOVLW       hi_addr(_strCmdFullColdStart+0)
	MOVWF       FARG_SendMessage_pMsg+1 
	CALL        _SendMessage+0, 0
;Gps.c,677 :: 		}
L_end_CmdFullColdStart:
	RETURN      0
; end of _CmdFullColdStart

_TestCommands:

;Gps.c,681 :: 		bool TestCommands()
;Gps.c,684 :: 		if ( TP_TFT_Press_Detect() == 1 )
	CALL        _TP_TFT_Press_Detect+0, 0
	MOVF        R0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_TestCommands91
;Gps.c,686 :: 		if (TP_TFT_Get_Coordinates(&Xcoord, &Ycoord) == 0)
	MOVLW       _Xcoord+0
	MOVWF       FARG_TP_TFT_Get_Coordinates_x_coordinate+0 
	MOVLW       hi_addr(_Xcoord+0)
	MOVWF       FARG_TP_TFT_Get_Coordinates_x_coordinate+1 
	MOVLW       _Ycoord+0
	MOVWF       FARG_TP_TFT_Get_Coordinates_y_coordinate+0 
	MOVLW       hi_addr(_Ycoord+0)
	MOVWF       FARG_TP_TFT_Get_Coordinates_y_coordinate+1 
	CALL        _TP_TFT_Get_Coordinates+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_TestCommands92
;Gps.c,688 :: 		action = NOTHING;
	CLRF        _action+0 
	CLRF        _action+1 
;Gps.c,690 :: 		(Xcoord <= X_GPX_MAX) &&
	MOVLW       0
	SUBWF       _Xcoord+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__TestCommands184
	MOVLW       129
	SUBWF       _Xcoord+0, 0 
L__TestCommands184:
	BTFSS       STATUS+0, 0 
	GOTO        L_TestCommands95
	MOVF        _Xcoord+1, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__TestCommands185
	MOVF        _Xcoord+0, 0 
	SUBLW       190
L__TestCommands185:
	BTFSS       STATUS+0, 0 
	GOTO        L_TestCommands95
;Gps.c,691 :: 		(Ycoord >= Y_GPX_MIN) &&
	MOVLW       0
	SUBWF       _Ycoord+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__TestCommands186
	MOVLW       89
	SUBWF       _Ycoord+0, 0 
L__TestCommands186:
	BTFSS       STATUS+0, 0 
	GOTO        L_TestCommands95
;Gps.c,692 :: 		(Ycoord <= Y_GPX_MAX))
	MOVF        _Ycoord+1, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__TestCommands187
	MOVF        _Ycoord+0, 0 
	SUBLW       150
L__TestCommands187:
	BTFSS       STATUS+0, 0 
	GOTO        L_TestCommands95
L__TestCommands124:
;Gps.c,694 :: 		action = GPX;
	MOVLW       1
	MOVWF       _action+0 
	MOVLW       0
	MOVWF       _action+1 
;Gps.c,695 :: 		}
L_TestCommands95:
;Gps.c,696 :: 		}
L_TestCommands92:
;Gps.c,697 :: 		return false;
	CLRF        R0 
	GOTO        L_end_TestCommands
;Gps.c,698 :: 		}
L_TestCommands91:
;Gps.c,700 :: 		if ( action > NOTHING )
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       _action+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__TestCommands188
	MOVF        _action+0, 0 
	SUBLW       0
L__TestCommands188:
	BTFSC       STATUS+0, 0 
	GOTO        L_TestCommands96
;Gps.c,701 :: 		return true;
	MOVLW       1
	MOVWF       R0 
	GOTO        L_end_TestCommands
L_TestCommands96:
;Gps.c,703 :: 		return false;
	CLRF        R0 
;Gps.c,705 :: 		}
L_end_TestCommands:
	RETURN      0
; end of _TestCommands

_main:

;Gps.c,709 :: 		void main(void)
;Gps.c,711 :: 		action = NOTHING;
	CLRF        _action+0 
	CLRF        _action+1 
;Gps.c,713 :: 		latitude[0] = 0;
	CLRF        _latitude+0 
;Gps.c,714 :: 		longitude[0] = 0;
	CLRF        _longitude+0 
;Gps.c,715 :: 		time[0] = 0;
	CLRF        _time+0 
;Gps.c,716 :: 		date[0] = 0;
	CLRF        _date+0 
;Gps.c,717 :: 		nSats[0] = 0;
	CLRF        _nSats+0 
;Gps.c,718 :: 		altitude[0] = 0;
	CLRF        _altitude+0 
;Gps.c,720 :: 		latitude[9] = 0;
	CLRF        _latitude+9 
;Gps.c,721 :: 		longitude[10] = 0;
	CLRF        _longitude+10 
;Gps.c,722 :: 		time[10] = 0;
	CLRF        _time+10 
;Gps.c,723 :: 		date[6] = 0;
	CLRF        _date+6 
;Gps.c,724 :: 		nSats[2] = 0;
	CLRF        _nSats+2 
;Gps.c,725 :: 		altitude[7] = 0;
	CLRF        _altitude+7 
;Gps.c,727 :: 		top = 0;
	CLRF        _top+0 
;Gps.c,728 :: 		cntTop = 0;
	CLRF        _cntTop+0 
	CLRF        _cntTop+1 
;Gps.c,732 :: 		iRead = 0;
	CLRF        _iRead+0 
	CLRF        _iRead+1 
;Gps.c,733 :: 		iWrite = 0;
	CLRF        _iWrite+0 
	CLRF        _iWrite+1 
;Gps.c,734 :: 		nBytes = 0;
	CLRF        _nBytes+0 
	CLRF        _nBytes+1 
;Gps.c,735 :: 		nLF = 0;
	CLRF        _nLF+0 
	CLRF        _nLF+1 
;Gps.c,736 :: 		bMsgReady = false;
	CLRF        _bMsgReady+0 
;Gps.c,740 :: 		bCapture = false;
	CLRF        _bCapture+0 
;Gps.c,742 :: 		Init();
	CALL        _Init+0, 0
;Gps.c,743 :: 		Delay_100ms();
	CALL        _Delay_100ms+0, 0
;Gps.c,745 :: 		Calibrate();
	CALL        _Calibrate+0, 0
;Gps.c,747 :: 		DisplayScreen();
	CALL        _DisplayScreen+0, 0
;Gps.c,749 :: 		UART1_Init(9600);
	BSF         BAUDCON+0, 3, 0
	MOVLW       4
	MOVWF       SPBRGH+0 
	MOVLW       225
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;Gps.c,751 :: 		CmdFullColdStart();
	CALL        _CmdFullColdStart+0, 0
;Gps.c,752 :: 		Delay_100ms();
	CALL        _Delay_100ms+0, 0
;Gps.c,754 :: 		ApiSetDatum();
	CALL        _ApiSetDatum+0, 0
;Gps.c,755 :: 		ApiSetDgpsMode();
	CALL        _ApiSetDgpsMode+0, 0
;Gps.c,756 :: 		ApiSetSbasEnabled();
	CALL        _ApiSetSbasEnabled+0, 0
;Gps.c,758 :: 		ApiQDatum();
	CALL        _ApiQDatum+0, 0
;Gps.c,760 :: 		while (1)
L_main97:
;Gps.c,764 :: 		if ( bMsgReady == true )
	MOVF        _bMsgReady+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_main99
;Gps.c,766 :: 		ProcessGps();
	CALL        _ProcessGps+0, 0
;Gps.c,767 :: 		bMsgReady = false;
	CLRF        _bMsgReady+0 
;Gps.c,768 :: 		}
L_main99:
;Gps.c,772 :: 		if ( TestCommands() == true )
	CALL        _TestCommands+0, 0
	MOVF        R0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_main100
;Gps.c,774 :: 		if ( action == GPX )
	MOVLW       0
	XORWF       _action+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main190
	MOVLW       1
	XORWF       _action+0, 0 
L__main190:
	BTFSS       STATUS+0, 2 
	GOTO        L_main101
;Gps.c,776 :: 		if ( bCapture == false )
	MOVF        _bCapture+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_main102
;Gps.c,780 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV64, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);
	MOVLW       2
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;Gps.c,782 :: 		if (Mmc_Fat_Init() == 0)
	CALL        _Mmc_Fat_Init+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_main103
;Gps.c,784 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV4, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);
	CLRF        FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;Gps.c,785 :: 		cnt10s = 9;
	MOVLW       9
	MOVWF       _cnt10s+0 
	MOVLW       0
	MOVWF       _cnt10s+1 
;Gps.c,787 :: 		Mmc_Fat_Assign(&filename, 0xA0);
	MOVLW       _filename+0
	MOVWF       FARG_Mmc_Fat_Assign_name+0 
	MOVLW       hi_addr(_filename+0)
	MOVWF       FARG_Mmc_Fat_Assign_name+1 
	MOVLW       160
	MOVWF       FARG_Mmc_Fat_Assign_attrib+0 
	CALL        _Mmc_Fat_Assign+0, 0
;Gps.c,788 :: 		Mmc_Fat_Delete();
	CALL        _Mmc_Fat_Delete+0, 0
;Gps.c,790 :: 		Mmc_Fat_Set_File_Date(2010, 4, 19, 9, 0, 0);
	MOVLW       218
	MOVWF       FARG_Mmc_Fat_Set_File_Date_year+0 
	MOVLW       7
	MOVWF       FARG_Mmc_Fat_Set_File_Date_year+1 
	MOVLW       4
	MOVWF       FARG_Mmc_Fat_Set_File_Date_month+0 
	MOVLW       19
	MOVWF       FARG_Mmc_Fat_Set_File_Date_day+0 
	MOVLW       9
	MOVWF       FARG_Mmc_Fat_Set_File_Date_hours+0 
	CLRF        FARG_Mmc_Fat_Set_File_Date_mins+0 
	CLRF        FARG_Mmc_Fat_Set_File_Date_seconds+0 
	CALL        _Mmc_Fat_Set_File_Date+0, 0
;Gps.c,791 :: 		Mmc_Fat_Assign(&filename, 0xA0);
	MOVLW       _filename+0
	MOVWF       FARG_Mmc_Fat_Assign_name+0 
	MOVLW       hi_addr(_filename+0)
	MOVWF       FARG_Mmc_Fat_Assign_name+1 
	MOVLW       160
	MOVWF       FARG_Mmc_Fat_Assign_attrib+0 
	CALL        _Mmc_Fat_Assign+0, 0
;Gps.c,792 :: 		Mmc_Fat_Rewrite();
	CALL        _Mmc_Fat_Rewrite+0, 0
;Gps.c,794 :: 		Mmc_Fat_Write("<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\" ?>\r\n", 57);
	MOVLW       ?lstr14_Gps+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(?lstr14_Gps+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       57
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gps.c,795 :: 		Mmc_Fat_Write("<gpx>\r\n", 7);
	MOVLW       ?lstr15_Gps+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(?lstr15_Gps+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       7
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gps.c,796 :: 		Mmc_Fat_Write("  <trk>\r\n", 9);
	MOVLW       ?lstr16_Gps+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(?lstr16_Gps+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       9
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gps.c,797 :: 		Mmc_Fat_Write("    <name>MikroE</name>\r\n", 25);
	MOVLW       ?lstr17_Gps+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(?lstr17_Gps+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       25
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gps.c,798 :: 		Mmc_Fat_Write("    <trkseg>\r\n", 14);
	MOVLW       ?lstr18_Gps+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(?lstr18_Gps+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       14
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gps.c,799 :: 		bCapture = true;
	MOVLW       1
	MOVWF       _bCapture+0 
;Gps.c,800 :: 		TFT_Image(X_GPX_MIN, Y_GPX_MIN, GPX_Stop, 1);
	MOVLW       129
	MOVWF       FARG_TFT_Image_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Image_left+1 
	MOVLW       89
	MOVWF       FARG_TFT_Image_top+0 
	MOVLW       0
	MOVWF       FARG_TFT_Image_top+1 
	MOVLW       _GPX_Stop+0
	MOVWF       FARG_TFT_Image_image+0 
	MOVLW       hi_addr(_GPX_Stop+0)
	MOVWF       FARG_TFT_Image_image+1 
	MOVLW       higher_addr(_GPX_Stop+0)
	MOVWF       FARG_TFT_Image_image+2 
	MOVLW       1
	MOVWF       FARG_TFT_Image_stretch+0 
	CALL        _TFT_Image+0, 0
;Gps.c,801 :: 		}
L_main103:
;Gps.c,802 :: 		}
	GOTO        L_main104
L_main102:
;Gps.c,807 :: 		Mmc_Fat_Write("    </trkseg>\r\n", 15);
	MOVLW       ?lstr19_Gps+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(?lstr19_Gps+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       15
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gps.c,808 :: 		Mmc_Fat_Write("  </trk>\r\n", 10);
	MOVLW       ?lstr20_Gps+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(?lstr20_Gps+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       10
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gps.c,809 :: 		Mmc_Fat_Write("</gpx>\r\n", 8);
	MOVLW       ?lstr21_Gps+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(?lstr21_Gps+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       8
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gps.c,810 :: 		Mmc_Fat_Close();
	CALL        _Mmc_Fat_Close+0, 0
;Gps.c,811 :: 		bCapture = false;
	CLRF        _bCapture+0 
;Gps.c,812 :: 		TFT_Image(X_GPX_MIN, Y_GPX_MIN, GPX_Start, 1);
	MOVLW       129
	MOVWF       FARG_TFT_Image_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Image_left+1 
	MOVLW       89
	MOVWF       FARG_TFT_Image_top+0 
	MOVLW       0
	MOVWF       FARG_TFT_Image_top+1 
	MOVLW       _GPX_Start+0
	MOVWF       FARG_TFT_Image_image+0 
	MOVLW       hi_addr(_GPX_Start+0)
	MOVWF       FARG_TFT_Image_image+1 
	MOVLW       higher_addr(_GPX_Start+0)
	MOVWF       FARG_TFT_Image_image+2 
	MOVLW       1
	MOVWF       FARG_TFT_Image_stretch+0 
	CALL        _TFT_Image+0, 0
;Gps.c,813 :: 		}
L_main104:
;Gps.c,814 :: 		}
L_main101:
;Gps.c,815 :: 		action = NOTHING;
	CLRF        _action+0 
	CLRF        _action+1 
;Gps.c,816 :: 		}
L_main100:
;Gps.c,820 :: 		if ( top == 1 )
	MOVF        _top+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_main105
;Gps.c,822 :: 		if ( bCapture )
	MOVF        _bCapture+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main106
;Gps.c,824 :: 		cnt10s++;
	INFSNZ      _cnt10s+0, 1 
	INCF        _cnt10s+1, 1 
;Gps.c,825 :: 		if ( cnt10s == 10 )
	MOVLW       0
	XORWF       _cnt10s+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main191
	MOVLW       10
	XORWF       _cnt10s+0, 0 
L__main191:
	BTFSS       STATUS+0, 2 
	GOTO        L_main107
;Gps.c,827 :: 		cnt10s = 0;
	CLRF        _cnt10s+0 
	CLRF        _cnt10s+1 
;Gps.c,828 :: 		sprintf(txt, "      <trkpt lat=\"%d.%6.6ld\" lon=\"%d.%6.6ld\">\r\n", intLat, decLat, intLon, decLon);
	MOVLW       _txt+0
	MOVWF       FARG_sprintf_wh+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_sprintf_wh+1 
	MOVLW       ?lstr_22_Gps+0
	MOVWF       FARG_sprintf_f+0 
	MOVLW       hi_addr(?lstr_22_Gps+0)
	MOVWF       FARG_sprintf_f+1 
	MOVLW       higher_addr(?lstr_22_Gps+0)
	MOVWF       FARG_sprintf_f+2 
	MOVF        _intLat+0, 0 
	MOVWF       FARG_sprintf_wh+5 
	MOVF        _intLat+1, 0 
	MOVWF       FARG_sprintf_wh+6 
	MOVF        _decLat+0, 0 
	MOVWF       FARG_sprintf_wh+7 
	MOVF        _decLat+1, 0 
	MOVWF       FARG_sprintf_wh+8 
	MOVF        _decLat+2, 0 
	MOVWF       FARG_sprintf_wh+9 
	MOVF        _decLat+3, 0 
	MOVWF       FARG_sprintf_wh+10 
	MOVF        _intLon+0, 0 
	MOVWF       FARG_sprintf_wh+11 
	MOVF        _intLon+1, 0 
	MOVWF       FARG_sprintf_wh+12 
	MOVF        _decLon+0, 0 
	MOVWF       FARG_sprintf_wh+13 
	MOVF        _decLon+1, 0 
	MOVWF       FARG_sprintf_wh+14 
	MOVF        _decLon+2, 0 
	MOVWF       FARG_sprintf_wh+15 
	MOVF        _decLon+3, 0 
	MOVWF       FARG_sprintf_wh+16 
	CALL        _sprintf+0, 0
;Gps.c,829 :: 		Mmc_Fat_Write(txt, strlen(txt));
	MOVLW       _txt+0
	MOVWF       FARG_strlen_s+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVF        R1, 0 
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	MOVLW       _txt+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gps.c,830 :: 		Mmc_Fat_Write("        <ele>", 13);
	MOVLW       ?lstr23_Gps+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(?lstr23_Gps+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       13
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gps.c,831 :: 		Mmc_Fat_Write(altitude, sizeof(altitude));
	MOVLW       _altitude+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(_altitude+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       8
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gps.c,832 :: 		Mmc_Fat_Write("</ele>\r\n", 8);
	MOVLW       ?lstr24_Gps+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(?lstr24_Gps+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       8
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gps.c,833 :: 		Mmc_Fat_Write("      </trkpt>\r\n", 16);
	MOVLW       ?lstr25_Gps+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(?lstr25_Gps+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       16
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;Gps.c,834 :: 		}
L_main107:
;Gps.c,835 :: 		}
L_main106:
;Gps.c,837 :: 		if ( nSatellites != nSatellitesOld )
	MOVF        _nSatellites+1, 0 
	XORWF       _nSatellitesOld+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main192
	MOVF        _nSatellitesOld+0, 0 
	XORWF       _nSatellites+0, 0 
L__main192:
	BTFSC       STATUS+0, 2 
	GOTO        L_main108
;Gps.c,839 :: 		nSatellitesOld = nSatellites;
	MOVF        _nSatellites+0, 0 
	MOVWF       _nSatellitesOld+0 
	MOVF        _nSatellites+1, 0 
	MOVWF       _nSatellitesOld+1 
;Gps.c,840 :: 		if ( nSatellites < 2 )
	MOVLW       128
	XORWF       _nSatellites+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main193
	MOVLW       2
	SUBWF       _nSatellites+0, 0 
L__main193:
	BTFSC       STATUS+0, 0 
	GOTO        L_main109
;Gps.c,842 :: 		TFT_Set_Pen(CL_GRAY, 4);
	MOVLW       16
	MOVWF       FARG_TFT_Set_Pen_pen_color+0 
	MOVLW       132
	MOVWF       FARG_TFT_Set_Pen_pen_color+1 
	MOVLW       4
	MOVWF       FARG_TFT_Set_Pen_pen_width+0 
	CALL        _TFT_Set_Pen+0, 0
;Gps.c,843 :: 		TFT_V_Line(Y_BAR-4, Y_BAR, X_BAR);
	MOVLW       12
	MOVWF       FARG_TFT_V_Line_y_start+0 
	MOVLW       0
	MOVWF       FARG_TFT_V_Line_y_start+1 
	MOVLW       16
	MOVWF       FARG_TFT_V_Line_y_end+0 
	MOVLW       0
	MOVWF       FARG_TFT_V_Line_y_end+1 
	MOVLW       42
	MOVWF       FARG_TFT_V_Line_x_pos+0 
	MOVLW       1
	MOVWF       FARG_TFT_V_Line_x_pos+1 
	CALL        _TFT_V_Line+0, 0
;Gps.c,844 :: 		}
	GOTO        L_main110
L_main109:
;Gps.c,847 :: 		TFT_Set_Pen(CL_BLUE, 4);
	MOVLW       31
	MOVWF       FARG_TFT_Set_Pen_pen_color+0 
	MOVLW       0
	MOVWF       FARG_TFT_Set_Pen_pen_color+1 
	MOVLW       4
	MOVWF       FARG_TFT_Set_Pen_pen_width+0 
	CALL        _TFT_Set_Pen+0, 0
;Gps.c,848 :: 		TFT_V_Line(Y_BAR-4, Y_BAR, X_BAR);
	MOVLW       12
	MOVWF       FARG_TFT_V_Line_y_start+0 
	MOVLW       0
	MOVWF       FARG_TFT_V_Line_y_start+1 
	MOVLW       16
	MOVWF       FARG_TFT_V_Line_y_end+0 
	MOVLW       0
	MOVWF       FARG_TFT_V_Line_y_end+1 
	MOVLW       42
	MOVWF       FARG_TFT_V_Line_x_pos+0 
	MOVLW       1
	MOVWF       FARG_TFT_V_Line_x_pos+1 
	CALL        _TFT_V_Line+0, 0
;Gps.c,849 :: 		}
L_main110:
;Gps.c,850 :: 		if ( nSatellites < 4 )
	MOVLW       128
	XORWF       _nSatellites+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main194
	MOVLW       4
	SUBWF       _nSatellites+0, 0 
L__main194:
	BTFSC       STATUS+0, 0 
	GOTO        L_main111
;Gps.c,852 :: 		TFT_Set_Pen(CL_GRAY, 4);
	MOVLW       16
	MOVWF       FARG_TFT_Set_Pen_pen_color+0 
	MOVLW       132
	MOVWF       FARG_TFT_Set_Pen_pen_color+1 
	MOVLW       4
	MOVWF       FARG_TFT_Set_Pen_pen_width+0 
	CALL        _TFT_Set_Pen+0, 0
;Gps.c,853 :: 		TFT_V_Line(Y_BAR-8, Y_BAR, X_BAR+6);
	MOVLW       8
	MOVWF       FARG_TFT_V_Line_y_start+0 
	MOVLW       0
	MOVWF       FARG_TFT_V_Line_y_start+1 
	MOVLW       16
	MOVWF       FARG_TFT_V_Line_y_end+0 
	MOVLW       0
	MOVWF       FARG_TFT_V_Line_y_end+1 
	MOVLW       48
	MOVWF       FARG_TFT_V_Line_x_pos+0 
	MOVLW       1
	MOVWF       FARG_TFT_V_Line_x_pos+1 
	CALL        _TFT_V_Line+0, 0
;Gps.c,854 :: 		}
	GOTO        L_main112
L_main111:
;Gps.c,857 :: 		TFT_Set_Pen(CL_BLUE, 4);
	MOVLW       31
	MOVWF       FARG_TFT_Set_Pen_pen_color+0 
	MOVLW       0
	MOVWF       FARG_TFT_Set_Pen_pen_color+1 
	MOVLW       4
	MOVWF       FARG_TFT_Set_Pen_pen_width+0 
	CALL        _TFT_Set_Pen+0, 0
;Gps.c,858 :: 		TFT_V_Line(Y_BAR-8, Y_BAR, X_BAR+6);
	MOVLW       8
	MOVWF       FARG_TFT_V_Line_y_start+0 
	MOVLW       0
	MOVWF       FARG_TFT_V_Line_y_start+1 
	MOVLW       16
	MOVWF       FARG_TFT_V_Line_y_end+0 
	MOVLW       0
	MOVWF       FARG_TFT_V_Line_y_end+1 
	MOVLW       48
	MOVWF       FARG_TFT_V_Line_x_pos+0 
	MOVLW       1
	MOVWF       FARG_TFT_V_Line_x_pos+1 
	CALL        _TFT_V_Line+0, 0
;Gps.c,859 :: 		}
L_main112:
;Gps.c,860 :: 		if ( nSatellites < 6 )
	MOVLW       128
	XORWF       _nSatellites+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main195
	MOVLW       6
	SUBWF       _nSatellites+0, 0 
L__main195:
	BTFSC       STATUS+0, 0 
	GOTO        L_main113
;Gps.c,862 :: 		TFT_Set_Pen(CL_GRAY, 4);
	MOVLW       16
	MOVWF       FARG_TFT_Set_Pen_pen_color+0 
	MOVLW       132
	MOVWF       FARG_TFT_Set_Pen_pen_color+1 
	MOVLW       4
	MOVWF       FARG_TFT_Set_Pen_pen_width+0 
	CALL        _TFT_Set_Pen+0, 0
;Gps.c,863 :: 		TFT_V_Line(Y_BAR-12, Y_BAR, X_BAR+12);
	MOVLW       4
	MOVWF       FARG_TFT_V_Line_y_start+0 
	MOVLW       0
	MOVWF       FARG_TFT_V_Line_y_start+1 
	MOVLW       16
	MOVWF       FARG_TFT_V_Line_y_end+0 
	MOVLW       0
	MOVWF       FARG_TFT_V_Line_y_end+1 
	MOVLW       54
	MOVWF       FARG_TFT_V_Line_x_pos+0 
	MOVLW       1
	MOVWF       FARG_TFT_V_Line_x_pos+1 
	CALL        _TFT_V_Line+0, 0
;Gps.c,864 :: 		}
	GOTO        L_main114
L_main113:
;Gps.c,867 :: 		TFT_Set_Pen(CL_BLUE, 4);
	MOVLW       31
	MOVWF       FARG_TFT_Set_Pen_pen_color+0 
	MOVLW       0
	MOVWF       FARG_TFT_Set_Pen_pen_color+1 
	MOVLW       4
	MOVWF       FARG_TFT_Set_Pen_pen_width+0 
	CALL        _TFT_Set_Pen+0, 0
;Gps.c,868 :: 		TFT_V_Line(Y_BAR-12, Y_BAR, X_BAR+12);
	MOVLW       4
	MOVWF       FARG_TFT_V_Line_y_start+0 
	MOVLW       0
	MOVWF       FARG_TFT_V_Line_y_start+1 
	MOVLW       16
	MOVWF       FARG_TFT_V_Line_y_end+0 
	MOVLW       0
	MOVWF       FARG_TFT_V_Line_y_end+1 
	MOVLW       54
	MOVWF       FARG_TFT_V_Line_x_pos+0 
	MOVLW       1
	MOVWF       FARG_TFT_V_Line_x_pos+1 
	CALL        _TFT_V_Line+0, 0
;Gps.c,869 :: 		}
L_main114:
;Gps.c,870 :: 		if ( nSatellites < 8 )
	MOVLW       128
	XORWF       _nSatellites+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main196
	MOVLW       8
	SUBWF       _nSatellites+0, 0 
L__main196:
	BTFSC       STATUS+0, 0 
	GOTO        L_main115
;Gps.c,872 :: 		TFT_Set_Pen(CL_GRAY, 4);
	MOVLW       16
	MOVWF       FARG_TFT_Set_Pen_pen_color+0 
	MOVLW       132
	MOVWF       FARG_TFT_Set_Pen_pen_color+1 
	MOVLW       4
	MOVWF       FARG_TFT_Set_Pen_pen_width+0 
	CALL        _TFT_Set_Pen+0, 0
;Gps.c,873 :: 		TFT_V_Line(Y_BAR-16, Y_BAR, X_BAR+18);
	CLRF        FARG_TFT_V_Line_y_start+0 
	CLRF        FARG_TFT_V_Line_y_start+1 
	MOVLW       16
	MOVWF       FARG_TFT_V_Line_y_end+0 
	MOVLW       0
	MOVWF       FARG_TFT_V_Line_y_end+1 
	MOVLW       60
	MOVWF       FARG_TFT_V_Line_x_pos+0 
	MOVLW       1
	MOVWF       FARG_TFT_V_Line_x_pos+1 
	CALL        _TFT_V_Line+0, 0
;Gps.c,874 :: 		}
	GOTO        L_main116
L_main115:
;Gps.c,877 :: 		TFT_Set_Pen(CL_BLUE, 4);
	MOVLW       31
	MOVWF       FARG_TFT_Set_Pen_pen_color+0 
	MOVLW       0
	MOVWF       FARG_TFT_Set_Pen_pen_color+1 
	MOVLW       4
	MOVWF       FARG_TFT_Set_Pen_pen_width+0 
	CALL        _TFT_Set_Pen+0, 0
;Gps.c,878 :: 		TFT_V_Line(Y_BAR-16, Y_BAR, X_BAR+18);
	CLRF        FARG_TFT_V_Line_y_start+0 
	CLRF        FARG_TFT_V_Line_y_start+1 
	MOVLW       16
	MOVWF       FARG_TFT_V_Line_y_end+0 
	MOVLW       0
	MOVWF       FARG_TFT_V_Line_y_end+1 
	MOVLW       60
	MOVWF       FARG_TFT_V_Line_x_pos+0 
	MOVLW       1
	MOVWF       FARG_TFT_V_Line_x_pos+1 
	CALL        _TFT_V_Line+0, 0
;Gps.c,879 :: 		}
L_main116:
;Gps.c,880 :: 		TFT_Set_Pen(CL_BLACK, 1);
	CLRF        FARG_TFT_Set_Pen_pen_color+0 
	CLRF        FARG_TFT_Set_Pen_pen_color+1 
	MOVLW       1
	MOVWF       FARG_TFT_Set_Pen_pen_width+0 
	CALL        _TFT_Set_Pen+0, 0
;Gps.c,881 :: 		}
L_main108:
;Gps.c,882 :: 		if ( strcmp(date, oldDate) != 0 )
	MOVLW       _date+0
	MOVWF       FARG_strcmp_s1+0 
	MOVLW       hi_addr(_date+0)
	MOVWF       FARG_strcmp_s1+1 
	MOVLW       _oldDate+0
	MOVWF       FARG_strcmp_s2+0 
	MOVLW       hi_addr(_oldDate+0)
	MOVWF       FARG_strcmp_s2+1 
	CALL        _strcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main197
	MOVLW       0
	XORWF       R0, 0 
L__main197:
	BTFSC       STATUS+0, 2 
	GOTO        L_main117
;Gps.c,884 :: 		strcpy(oldDate, date);
	MOVLW       _oldDate+0
	MOVWF       FARG_strcpy_to+0 
	MOVLW       hi_addr(_oldDate+0)
	MOVWF       FARG_strcpy_to+1 
	MOVLW       _date+0
	MOVWF       FARG_strcpy_from+0 
	MOVLW       hi_addr(_date+0)
	MOVWF       FARG_strcpy_from+1 
	CALL        _strcpy+0, 0
;Gps.c,885 :: 		TFT_Rectangle(10, 210, 69, 225);
	MOVLW       10
	MOVWF       FARG_TFT_Rectangle_x_upper_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_x_upper_left+1 
	MOVLW       210
	MOVWF       FARG_TFT_Rectangle_y_upper_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_upper_left+1 
	MOVLW       69
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+1 
	MOVLW       225
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+1 
	CALL        _TFT_Rectangle+0, 0
;Gps.c,886 :: 		TFT_Write_Text(date, 10, 210);
	MOVLW       _date+0
	MOVWF       FARG_TFT_Write_Text_text+0 
	MOVLW       hi_addr(_date+0)
	MOVWF       FARG_TFT_Write_Text_text+1 
	MOVLW       10
	MOVWF       FARG_TFT_Write_Text_x+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_x+1 
	MOVLW       210
	MOVWF       FARG_TFT_Write_Text_y+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_y+1 
	CALL        _TFT_Write_Text+0, 0
;Gps.c,887 :: 		}
L_main117:
;Gps.c,888 :: 		TFT_Rectangle(260, 210, 319, 225);
	MOVLW       4
	MOVWF       FARG_TFT_Rectangle_x_upper_left+0 
	MOVLW       1
	MOVWF       FARG_TFT_Rectangle_x_upper_left+1 
	MOVLW       210
	MOVWF       FARG_TFT_Rectangle_y_upper_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_upper_left+1 
	MOVLW       63
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+1 
	MOVLW       225
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+1 
	CALL        _TFT_Rectangle+0, 0
;Gps.c,889 :: 		TFT_Write_Text(time, 260, 210);
	MOVLW       _time+0
	MOVWF       FARG_TFT_Write_Text_text+0 
	MOVLW       hi_addr(_time+0)
	MOVWF       FARG_TFT_Write_Text_text+1 
	MOVLW       4
	MOVWF       FARG_TFT_Write_Text_x+0 
	MOVLW       1
	MOVWF       FARG_TFT_Write_Text_x+1 
	MOVLW       210
	MOVWF       FARG_TFT_Write_Text_y+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_y+1 
	CALL        _TFT_Write_Text+0, 0
;Gps.c,890 :: 		top = 0;
	CLRF        _top+0 
;Gps.c,891 :: 		sprintf(txt, "Lat  :  %d.%6.6ld    Lon  :  %d.%6.6ld    Alt  :  %s", intLat, decLat, intLon, decLon, altitude);
	MOVLW       _txt+0
	MOVWF       FARG_sprintf_wh+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_sprintf_wh+1 
	MOVLW       ?lstr_26_Gps+0
	MOVWF       FARG_sprintf_f+0 
	MOVLW       hi_addr(?lstr_26_Gps+0)
	MOVWF       FARG_sprintf_f+1 
	MOVLW       higher_addr(?lstr_26_Gps+0)
	MOVWF       FARG_sprintf_f+2 
	MOVF        _intLat+0, 0 
	MOVWF       FARG_sprintf_wh+5 
	MOVF        _intLat+1, 0 
	MOVWF       FARG_sprintf_wh+6 
	MOVF        _decLat+0, 0 
	MOVWF       FARG_sprintf_wh+7 
	MOVF        _decLat+1, 0 
	MOVWF       FARG_sprintf_wh+8 
	MOVF        _decLat+2, 0 
	MOVWF       FARG_sprintf_wh+9 
	MOVF        _decLat+3, 0 
	MOVWF       FARG_sprintf_wh+10 
	MOVF        _intLon+0, 0 
	MOVWF       FARG_sprintf_wh+11 
	MOVF        _intLon+1, 0 
	MOVWF       FARG_sprintf_wh+12 
	MOVF        _decLon+0, 0 
	MOVWF       FARG_sprintf_wh+13 
	MOVF        _decLon+1, 0 
	MOVWF       FARG_sprintf_wh+14 
	MOVF        _decLon+2, 0 
	MOVWF       FARG_sprintf_wh+15 
	MOVF        _decLon+3, 0 
	MOVWF       FARG_sprintf_wh+16 
	MOVLW       _altitude+0
	MOVWF       FARG_sprintf_wh+17 
	MOVLW       hi_addr(_altitude+0)
	MOVWF       FARG_sprintf_wh+18 
	CALL        _sprintf+0, 0
;Gps.c,892 :: 		TFT_Rectangle(40, 32, 319, 47);
	MOVLW       40
	MOVWF       FARG_TFT_Rectangle_x_upper_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_x_upper_left+1 
	MOVLW       32
	MOVWF       FARG_TFT_Rectangle_y_upper_left+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_upper_left+1 
	MOVLW       63
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_TFT_Rectangle_x_bottom_right+1 
	MOVLW       47
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+0 
	MOVLW       0
	MOVWF       FARG_TFT_Rectangle_y_bottom_right+1 
	CALL        _TFT_Rectangle+0, 0
;Gps.c,893 :: 		TFT_Write_Text(txt, 40, 32);
	MOVLW       _txt+0
	MOVWF       FARG_TFT_Write_Text_text+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_TFT_Write_Text_text+1 
	MOVLW       40
	MOVWF       FARG_TFT_Write_Text_x+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_x+1 
	MOVLW       32
	MOVWF       FARG_TFT_Write_Text_y+0 
	MOVLW       0
	MOVWF       FARG_TFT_Write_Text_y+1 
	CALL        _TFT_Write_Text+0, 0
;Gps.c,894 :: 		}
L_main105:
;Gps.c,895 :: 		}
	GOTO        L_main97
;Gps.c,896 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
